# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

## [v2.59.3](https://github.com/netlify/cli/compare/v2.59.2...v2.59.3) - 2020-08-31

### Merged

- fix(command-dev): make sure scheme is formatted right for redirector [`#1157`](https://github.com/netlify/cli/pull/1157)
- fix(deps): update dependency uuid to v8 [`#1181`](https://github.com/netlify/cli/pull/1181)
- fix(deps): update dependency apollo-server-lambda to ^2.17.0 [`#1166`](https://github.com/netlify/cli/pull/1166)
- chore(deps): lock file maintenance [`#1183`](https://github.com/netlify/cli/pull/1183)

## [v2.59.2](https://github.com/netlify/cli/compare/v2.59.1...v2.59.2) - 2020-08-30

### Merged

- fix(command-dev): Use 404.html page in publish folder [`#1159`](https://github.com/netlify/cli/pull/1159)
- fix(deps): update dependency @netlify/build to v3.3.4 [`#1156`](https://github.com/netlify/cli/pull/1156)
- fix(command-dev): return .html file when file and folder share name [`#1155`](https://github.com/netlify/cli/pull/1155)
- fix(deps): update dependency @netlify/build to v3.3.3 [`#1154`](https://github.com/netlify/cli/pull/1154)
- fix(deps): update dependency execa to v3 [`#1132`](https://github.com/netlify/cli/pull/1132)
- fix: remove v from version string in package.json [`#1153`](https://github.com/netlify/cli/pull/1153)
- fix(deps): update dependency http-proxy-middleware to v1 [`#1139`](https://github.com/netlify/cli/pull/1139)
- fix(deps): update dependency log-symbols to v3 [`#1142`](https://github.com/netlify/cli/pull/1142)
- fix(deps): update dependency cli-spinners to v2 [`#1129`](https://github.com/netlify/cli/pull/1129)
- fix(deps): update netlify packages [`#1151`](https://github.com/netlify/cli/pull/1151)
- fix(deps): update dependency find-up to v4 [`#1134`](https://github.com/netlify/cli/pull/1134)
- fix(deps): update dependency ora to v4 [`#1145`](https://github.com/netlify/cli/pull/1145)
- chore(deps): lock file maintenance [`#1149`](https://github.com/netlify/cli/pull/1149)
- fix(deps): update dependency is-docker to v2 [`#1141`](https://github.com/netlify/cli/pull/1141)
- fix(deps): update netlify packages [`#1150`](https://github.com/netlify/cli/pull/1150)
- fix(deps): update dependency p-wait-for to v3 [`#1146`](https://github.com/netlify/cli/pull/1146)
- refactor: clean up addEnvVariables function [`#1124`](https://github.com/netlify/cli/pull/1124)
- fix(deps): update dependency axios to ^0.20.0 [`#1127`](https://github.com/netlify/cli/pull/1127)
- chore: update issue templates [`#1090`](https://github.com/netlify/cli/pull/1090)
- chore(deps): ignore major updates breaking node 8 support [`#1115`](https://github.com/netlify/cli/pull/1115)
- chore(deps): update dependency strip-ansi to v6 [`#1107`](https://github.com/netlify/cli/pull/1107)
- chore(deps): update dependency rimraf to v3 [`#1106`](https://github.com/netlify/cli/pull/1106)
- chore(deps): update dependency eslint-plugin-node to v11 [`#1101`](https://github.com/netlify/cli/pull/1101)
- chore(deps): update dependency markdown-magic to v1 [`#1103`](https://github.com/netlify/cli/pull/1103)
- chore(deps): update dependency nyc to v15 [`#1104`](https://github.com/netlify/cli/pull/1104)
- fix(deps): update dependency ansi-styles to v4 [`#1112`](https://github.com/netlify/cli/pull/1112)
- chore(deps): update dependency eslint-config-prettier to v6 [`#1100`](https://github.com/netlify/cli/pull/1100)
- chore(deps): update dependency auto-changelog to v2 [`#1097`](https://github.com/netlify/cli/pull/1097)
- fix(deps): update dependency @types/aws-lambda to ^8.10.61 [`#1095`](https://github.com/netlify/cli/pull/1095)
- chore(deps): lock file maintenance [`#1114`](https://github.com/netlify/cli/pull/1114)
- fix(deps): update dependency @netlify/build to v3.3.0 [`#1089`](https://github.com/netlify/cli/pull/1089)

### Commits

- docs: fix sites:delete docs [`712bde2`](https://github.com/netlify/cli/commit/712bde2a6d95d88a31f20331e6f0cf20aab91128)

## [v2.59.1](https://github.com/netlify/cli/compare/v2.59.0...v2.59.1) - 2020-08-13

### Merged

- test: prefix addons tests filename with 'command.' [`#1087`](https://github.com/netlify/cli/pull/1087)
- fix(command-dev): handle missing content-type header [`#1083`](https://github.com/netlify/cli/pull/1083)
- fix(dev-external-redirects): re-stream request body [`#1085`](https://github.com/netlify/cli/pull/1085)
- fix(deps): update netlify packages [`#1086`](https://github.com/netlify/cli/pull/1086)
- fix(deps): update netlify packages [`#1084`](https://github.com/netlify/cli/pull/1084)
- chore(deps): lock file maintenance [`#1082`](https://github.com/netlify/cli/pull/1082)
- chore(deps): update node.js to &gt;=v12.18.3 [`#1077`](https://github.com/netlify/cli/pull/1077)
- chore(deps): group netlify packages updates [`#1073`](https://github.com/netlify/cli/pull/1073)
- fix(deps): update dependency update-notifier to v4 [`#1074`](https://github.com/netlify/cli/pull/1074)
- chore(deps): upgrade Netlify Build [`#1072`](https://github.com/netlify/cli/pull/1072)
- Simplify detectors a little more [`#1069`](https://github.com/netlify/cli/pull/1069)
- Remove detectors code that is not currently working [`#1068`](https://github.com/netlify/cli/pull/1068)

## [v2.59.0](https://github.com/netlify/cli/compare/v2.58.0...v2.59.0) - 2020-08-03

### Merged

- test: refactor build tests [`#1066`](https://github.com/netlify/cli/pull/1066)
- Simplify default `devConfig.command` assignment [`#1067`](https://github.com/netlify/cli/pull/1067)
- Simplify Netlify Dev `assignLoudly` [`#1065`](https://github.com/netlify/cli/pull/1065)
- test: refactor tests [`#1040`](https://github.com/netlify/cli/pull/1040)
- chore(docs-site): update site dependencies and enforce linting [`#1053`](https://github.com/netlify/cli/pull/1053)
- fix(deps): update dependency serverless-http to ^1.10.1 [`#1061`](https://github.com/netlify/cli/pull/1061)
- fix(deps): update dependency sendmail to v1.6.1 [`#1060`](https://github.com/netlify/cli/pull/1060)
- fix(deps): update dependency apollo-server-lambda to ^2.16.1 [`#1057`](https://github.com/netlify/cli/pull/1057)
- fix(deps): update dependency typescript to ^3.9.7 [`#1062`](https://github.com/netlify/cli/pull/1062)
- chore(deps): lock file maintenance [`#1064`](https://github.com/netlify/cli/pull/1064)
- refactor: improve Netlify Dev command parsing [`#1051`](https://github.com/netlify/cli/pull/1051)
- refactor: simplify `assignLoud()` function [`#1050`](https://github.com/netlify/cli/pull/1050)
- refactor: simplify `console.log()` statement [`#1049`](https://github.com/netlify/cli/pull/1049)
- refactor: simplify some code in Netlify Dev [`#1048`](https://github.com/netlify/cli/pull/1048)
- refactor: simplify Netlify Dev detectors `env` [`#1046`](https://github.com/netlify/cli/pull/1046)
- refactor: remove dead code `urlRegexp` [`#1045`](https://github.com/netlify/cli/pull/1045)
- refactor: simplify `port` in Netlify Dev [`#1044`](https://github.com/netlify/cli/pull/1044)
- chore: remove azure pipeline files [`#1042`](https://github.com/netlify/cli/pull/1042)
- chore(deps): remove unused dev dependencies [`#1039`](https://github.com/netlify/cli/pull/1039)
- ci(chore): auto label PRs [`#1037`](https://github.com/netlify/cli/pull/1037)
- chore(linting): update eslint to v6 and fix errors [`#1033`](https://github.com/netlify/cli/pull/1033)
- fix(deps): update dependency passport-github2 to ^0.1.12 [`#1027`](https://github.com/netlify/cli/pull/1027)
- fix(deps): update dependency passport to ^0.4.1 [`#1026`](https://github.com/netlify/cli/pull/1026)
- fix(deps): update dependency node-fetch to ^2.6.0 [`#1025`](https://github.com/netlify/cli/pull/1025)
- fix(deps): update dependency morgan to ^1.10.0 [`#1024`](https://github.com/netlify/cli/pull/1024)
- Upgrade Netlify Build [`#1030`](https://github.com/netlify/cli/pull/1030)
- fix(deps): update dependency graphql-tools to ^4.0.8 [`#1021`](https://github.com/netlify/cli/pull/1021)
- fix(deps): update dependency http-proxy-middleware to ^0.21.0 [`#1022`](https://github.com/netlify/cli/pull/1022)
- fix(deps): update dependency @types/node to ^10.17.28 [`#1018`](https://github.com/netlify/cli/pull/1018)
- chore(deps): lock file maintenance [`#1028`](https://github.com/netlify/cli/pull/1028)
- chore: Revert "Test on Node 14 (#1014)" [`#1016`](https://github.com/netlify/cli/pull/1016)
- Test on Node 14 [`#1014`](https://github.com/netlify/cli/pull/1014)
- Upgrade Netlify Build [`#1012`](https://github.com/netlify/cli/pull/1012)
- Remove `dependency-cruiser` [`#1013`](https://github.com/netlify/cli/pull/1013)
- fix(deps): update dependency axios to v0.19.2 [`#999`](https://github.com/netlify/cli/pull/999)
- fix(deps): update dependency @types/node to ^10.17.27 [`#998`](https://github.com/netlify/cli/pull/998)
- fix(deps): update dependency @types/aws-lambda to ^8.10.59 [`#997`](https://github.com/netlify/cli/pull/997)
- chore(deps): update dependency markdown-magic to ^0.2.0 [`#992`](https://github.com/netlify/cli/pull/992)
- fix(deps): update dependency @sanity/client to ^0.147.3 [`#996`](https://github.com/netlify/cli/pull/996)
- fix(deps): update dependency bad-words to ^3.0.3 [`#1000`](https://github.com/netlify/cli/pull/1000)
- fix(deps): update dependency body-parser to ^1.19.0 [`#1001`](https://github.com/netlify/cli/pull/1001)
- fix(deps): update dependency cookie-parser to ^1.4.5 [`#1004`](https://github.com/netlify/cli/pull/1004)
- fix(deps): update dependency express to ^4.17.1 [`#1005`](https://github.com/netlify/cli/pull/1005)
- fix(deps): update dependency faunadb to ^2.14.2 [`#1006`](https://github.com/netlify/cli/pull/1006)
- fix(deps): update apollo graphql packages [`#995`](https://github.com/netlify/cli/pull/995)
- chore(deps): lock file maintenance [`#1007`](https://github.com/netlify/cli/pull/1007)
- fix(deps): update dependency cookie to ^0.4.1 [`#1003`](https://github.com/netlify/cli/pull/1003)
- chore(deps): update node.js to &gt;=v8.17.0 [`#994`](https://github.com/netlify/cli/pull/994)
- Pass site or siteId to @netlify/config [`#1008`](https://github.com/netlify/cli/pull/1008)
- fix(function-builder): report build errors [`#988`](https://github.com/netlify/cli/pull/988)
- chore(deps): lock file maintenance [`#987`](https://github.com/netlify/cli/pull/987)
- Upgrade Netlify Build [`#985`](https://github.com/netlify/cli/pull/985)
- chore(deps): improve renovate config [`#984`](https://github.com/netlify/cli/pull/984)
- docs: fix typos in netlify-dev.md [`#983`](https://github.com/netlify/cli/pull/983)
- feat(functions): mock identity response with properly-shaped data [`#603`](https://github.com/netlify/cli/pull/603)

## [v2.58.0](https://github.com/netlify/cli/compare/v2.57.0...v2.58.0) - 2020-07-06

### Merged

- Functions: Handle query parameters correctly [`#976`](https://github.com/netlify/cli/pull/976)
- fixes #977 change request body validation [`#978`](https://github.com/netlify/cli/pull/978)
- Deploy: Force async on large deployments [`#966`](https://github.com/netlify/cli/pull/966)
- Use base64 encoding for binary types [`#975`](https://github.com/netlify/cli/pull/975)
- fix: wait for chokidar ready event before listening to function builder src dir [`#974`](https://github.com/netlify/cli/pull/974)

### Fixed

- fixes #977 change request body validation (#978) [`#977`](https://github.com/netlify/cli/issues/977) [`#977`](https://github.com/netlify/cli/issues/977)

## [v2.57.0](https://github.com/netlify/cli/compare/v2.56.0...v2.57.0) - 2020-07-01

### Merged

- Dev: Fix false positives for Netlify Forms [`#973`](https://github.com/netlify/cli/pull/973)

## [v2.56.0](https://github.com/netlify/cli/compare/v2.55.0...v2.56.0) - 2020-06-30

### Merged

- Improve how the project root is resolved [`#953`](https://github.com/netlify/cli/pull/953)

### Commits

- Dont format docs [`6c650ec`](https://github.com/netlify/cli/commit/6c650ecbde18aaeefc25dabbefdd4231638ec689)

## [v2.55.0](https://github.com/netlify/cli/compare/v2.54.0...v2.55.0) - 2020-06-30

### Merged

- Fix requests hanging when function not found [`#965`](https://github.com/netlify/cli/pull/965)
- Add `--debug` CLI flag [`#964`](https://github.com/netlify/cli/pull/964)
- Upgrade Netlify Build [`#957`](https://github.com/netlify/cli/pull/957)
- chore: fix fossa [`#956`](https://github.com/netlify/cli/pull/956)
- github tools: add fossa license scanning [`#927`](https://github.com/netlify/cli/pull/927)
- Fix checks for "command" and "dir" combination [`#936`](https://github.com/netlify/cli/pull/936)
- Dev: Dont force redirect on internal URL's [`#949`](https://github.com/netlify/cli/pull/949)
- Fix query param and headers behavior [`#938`](https://github.com/netlify/cli/pull/938)
- Add support for form submissions [`#780`](https://github.com/netlify/cli/pull/780)

### Commits

- Formatting [`7aa525b`](https://github.com/netlify/cli/commit/7aa525b9e09297ad01815c3520002113254d6383)
- Dont format .md files [`d63e839`](https://github.com/netlify/cli/commit/d63e839432222d7fe6abccee2140f68fbf36128e)

## [v2.54.0](https://github.com/netlify/cli/compare/v2.53.0...v2.54.0) - 2020-06-15

### Merged

- Upgrade Netlify Build [`#946`](https://github.com/netlify/cli/pull/946)
- Deploy: Rename --branch to --alias [`#943`](https://github.com/netlify/cli/pull/943)
- Bump websocket-extensions from 0.1.3 to 0.1.4 in /site [`#942`](https://github.com/netlify/cli/pull/942)
- Update Functions Docs to Include Functions Domain [`#944`](https://github.com/netlify/cli/pull/944)
- Fix shadowing of files when request has query params [`#940`](https://github.com/netlify/cli/pull/940)
- Correction in docs [`#929`](https://github.com/netlify/cli/pull/929)

### Commits

- Formatting [`4526c6f`](https://github.com/netlify/cli/commit/4526c6f4ca969d4effd591982ba56477ba73d41a)
- Update README.md [`4285208`](https://github.com/netlify/cli/commit/4285208c58551c463ece8f91af161db5db22ec24)
- Add script to install test deps [`5c19a7b`](https://github.com/netlify/cli/commit/5c19a7bab1f48b4a7962a2a89621b3fc6d5114f0)

## [v2.53.0](https://github.com/netlify/cli/compare/v2.52.0...v2.53.0) - 2020-06-03

### Merged

- Add support for branch deploys [`#907`](https://github.com/netlify/cli/pull/907)
- Upgrade Netlify Build [`#934`](https://github.com/netlify/cli/pull/934)
- Dev: Pass query params in redirect and rewrites [`#931`](https://github.com/netlify/cli/pull/931)

### Commits

- test:format [`6eed719`](https://github.com/netlify/cli/commit/6eed719934c0a69da1771d5f2be4b6c4617555ac)

## [v2.52.0](https://github.com/netlify/cli/compare/v2.51.0...v2.52.0) - 2020-05-26

### Merged

- Fix CI tests failing [`#926`](https://github.com/netlify/cli/pull/926)
- docs: add build command doc for repo + cli.netlify.com [`#879`](https://github.com/netlify/cli/pull/879)
- Upgrade Netlify Build [`#925`](https://github.com/netlify/cli/pull/925)
- Update Netlify Dev docs [`#917`](https://github.com/netlify/cli/pull/917)
- test: move CRA test app install from github action to test setup [`#913`](https://github.com/netlify/cli/pull/913)
- Improve dev and CRA tests logic [`#918`](https://github.com/netlify/cli/pull/918)
- style: format files and enforce it in tests [`#915`](https://github.com/netlify/cli/pull/915)
- fix: use named Octokit import [`#910`](https://github.com/netlify/cli/pull/910)
- Dev: Dont add dots when waiting for port [`#905`](https://github.com/netlify/cli/pull/905)
- Improve Netlify Dev config and docs [`#902`](https://github.com/netlify/cli/pull/902)
- Rename proxyPort to frameworkPort [`#900`](https://github.com/netlify/cli/pull/900)
- Improve error when cant connect to targetPort [`#899`](https://github.com/netlify/cli/pull/899)

## [v2.51.0](https://github.com/netlify/cli/compare/v2.50.0...v2.51.0) - 2020-05-12

### Merged

- Fix netlify dev --live [`#897`](https://github.com/netlify/cli/pull/897)
- More redirect and rewrite fixes [`#885`](https://github.com/netlify/cli/pull/885)
- Add .env files support fo `netlify dev:exec`  [`#895`](https://github.com/netlify/cli/pull/895)
- Add support for .env.development file [`#894`](https://github.com/netlify/cli/pull/894)
- Watch: Init if not linked [`#845`](https://github.com/netlify/cli/pull/845)
- Update syntax for functions:invoke --payload [`#892`](https://github.com/netlify/cli/pull/892)
- Upgrade strip-ansi-control-characters [`#887`](https://github.com/netlify/cli/pull/887)
- Rules proxy improvements [`#881`](https://github.com/netlify/cli/pull/881)

### Commits

- Add empty .env in dummy-site [`19c2a7b`](https://github.com/netlify/cli/commit/19c2a7b27f5e8ec792f98f2d4c99334320a094b9)

## [v2.50.0](https://github.com/netlify/cli/compare/v2.49.0...v2.50.0) - 2020-05-06

### Merged

- Fix redirect parsing issues [`#880`](https://github.com/netlify/cli/pull/880)

### Commits

- Update test names [`2a1d458`](https://github.com/netlify/cli/commit/2a1d458b0f9fc0c40e79f9eea92cc36f059cf6cd)
- Dev: Add test for / [`b2cc71d`](https://github.com/netlify/cli/commit/b2cc71dfcc7d6297a93986a6ebe835928859029e)

## [v2.49.0](https://github.com/netlify/cli/compare/v2.48.0...v2.49.0) - 2020-05-05

### Merged

- functions:invoke: Fix config problems by adding port flag [`#878`](https://github.com/netlify/cli/pull/878)
- GitHub Actions debug [`#875`](https://github.com/netlify/cli/pull/875)
- Allow users to unlock deployments while deploying [`#844`](https://github.com/netlify/cli/pull/844)
- Fixed some documentation typos in netlify-dev.md. [`#871`](https://github.com/netlify/cli/pull/871)
- Upgrade Netlify Build [`#874`](https://github.com/netlify/cli/pull/874)
- Netlify Dev: Add framework = "#custom" option [`#843`](https://github.com/netlify/cli/pull/843)
- Fix typo. [`#873`](https://github.com/netlify/cli/pull/873)
- Use .app for the site's name suggestion message. [`#864`](https://github.com/netlify/cli/pull/864)
- Upgrade `zip-it-and-ship-it` [`#867`](https://github.com/netlify/cli/pull/867)
- Upgrade Netlify Build [`#866`](https://github.com/netlify/cli/pull/866)
- Run Prettier [`#861`](https://github.com/netlify/cli/pull/861)
- Upgrade Netlify Build [`#860`](https://github.com/netlify/cli/pull/860)

### Commits

- Test CRA: Use npm instead of yarn [`4eb20cd`](https://github.com/netlify/cli/commit/4eb20cdeacc8df8bca1cf6db8a497904a5b13751)
- GH Actions: Steamline tests [`9de46c4`](https://github.com/netlify/cli/commit/9de46c460830e73b75663fd31380ef951cbff8cf)
- Improve a log [`55c2992`](https://github.com/netlify/cli/commit/55c2992649fe398480524be8f90779343be8ade0)

## [v2.48.0](https://github.com/netlify/cli/compare/v2.47.0...v2.48.0) - 2020-04-24

### Merged

- Make sure `siteId` and `token` are defined with `netlify build` [`#856`](https://github.com/netlify/cli/pull/856)
- Upgrade Netlify Build [`#853`](https://github.com/netlify/cli/pull/853)
- Add `fail-fast: false` to CI tests [`#855`](https://github.com/netlify/cli/pull/855)

### Commits

- Docs: Use better word [`b7a28d0`](https://github.com/netlify/cli/commit/b7a28d026b04ec068c0cca24edad81593413ec9f)
- Docs: Fix netlify dev port conflict [`61b4eab`](https://github.com/netlify/cli/commit/61b4eabd28faafda7fd7ad8e5bdff6f0e1b36ea9)

## [v2.47.0](https://github.com/netlify/cli/compare/v2.46.0...v2.47.0) - 2020-04-17

### Merged

- Upgrades Netlify Build [`#842`](https://github.com/netlify/cli/pull/842)
- Dev: Add "framework" option [`#826`](https://github.com/netlify/cli/pull/826)
- Dev: Fix --live flag [`#839`](https://github.com/netlify/cli/pull/839)
- Detect Server: Make sure "port" and 'targetPort" are not same [`#840`](https://github.com/netlify/cli/pull/840)
- Parse headers and redirect rules on startup [`#838`](https://github.com/netlify/cli/pull/838)
- Fix 11ty detector [`#831`](https://github.com/netlify/cli/pull/831)
- Add tests for `netlify build` [`#837`](https://github.com/netlify/cli/pull/837)
- Deploy: Replace live with better words [`#829`](https://github.com/netlify/cli/pull/829)
- Prevent screen clearing once and for all [`#828`](https://github.com/netlify/cli/pull/828)
- Remove devDependency dependency-cruiser [`#836`](https://github.com/netlify/cli/pull/836)
- Upgrade Netlify Build [`#833`](https://github.com/netlify/cli/pull/833)
- Dev: Improve static check [`#834`](https://github.com/netlify/cli/pull/834)

### Commits

- findRoot: Fix test [`7fb610b`](https://github.com/netlify/cli/commit/7fb610b7c040ae27d6eb74a7638eca6c0c4de13f)

## [v2.46.0](https://github.com/netlify/cli/compare/v2.45.0...v2.46.0) - 2020-04-13

### Merged

- Dev: Process match fixes [`#825`](https://github.com/netlify/cli/pull/825)

## [v2.45.0](https://github.com/netlify/cli/compare/v2.44.0...v2.45.0) - 2020-04-13

### Merged

- Dev: Better error message if command bin not found [`#824`](https://github.com/netlify/cli/pull/824)
- Dev: Pipe stdin from parent to app process [`#823`](https://github.com/netlify/cli/pull/823)
- Dev: Dont crash on no config file [`#822`](https://github.com/netlify/cli/pull/822)
- Improve child process spawning [`#818`](https://github.com/netlify/cli/pull/818)

## [v2.44.0](https://github.com/netlify/cli/compare/v2.43.0...v2.44.0) - 2020-04-12

### Merged

- Dev: Resolve command before spawning [`#816`](https://github.com/netlify/cli/pull/816)
- Update tests [`#812`](https://github.com/netlify/cli/pull/812)
- Upgrade netlify-redirect-parser [`#814`](https://github.com/netlify/cli/pull/814)

## [v2.43.0](https://github.com/netlify/cli/compare/v2.42.0...v2.43.0) - 2020-04-09

### Merged

- Fix `netlify build` crash [`#813`](https://github.com/netlify/cli/pull/813)
- Dev: Rewrite for internal URL with SPA servers [`#810`](https://github.com/netlify/cli/pull/810)
- Cleanup [`#811`](https://github.com/netlify/cli/pull/811)

### Commits

- Upgrade netlify-redirect-parser [`97afd59`](https://github.com/netlify/cli/commit/97afd5981f9a1381623ab7ab616e75b3ef79a799)
- Tests: Use node-fetch instead [`717e419`](https://github.com/netlify/cli/commit/717e4192e9dc0f73b6eba5486a19b4bf9d88a3c4)
- Remove CircleCI integration [`5e96966`](https://github.com/netlify/cli/commit/5e969661e4e885c1cd49d6d612ad4666f9674f3c)

## [v2.42.0](https://github.com/netlify/cli/compare/v2.41.0...v2.42.0) - 2020-04-08

### Merged

- Upgrade netlify-redirector [`#808`](https://github.com/netlify/cli/pull/808)
- Move --verbose flag to netlify version command [`#806`](https://github.com/netlify/cli/pull/806)
- Don't rely on files on disk for redirects when working with SPA servers [`#807`](https://github.com/netlify/cli/pull/807)
- Dev: Don't use random "port" for static server [`#805`](https://github.com/netlify/cli/pull/805)
- Update minimist package [`#804`](https://github.com/netlify/cli/pull/804)
- Revert logs tailing because of incompatibilities [`#799`](https://github.com/netlify/cli/pull/799)
- Dev: Don't wait on functions port if no server [`#803`](https://github.com/netlify/cli/pull/803)
- Dev: Fallback port to random ports for static server [`#801`](https://github.com/netlify/cli/pull/801)
- fix: verbose flag displays the necessary information [`#781`](https://github.com/netlify/cli/pull/781)
- Dev: Fix index redirect for static files [`#796`](https://github.com/netlify/cli/pull/796)
- Upgrade to latest version of Netlify Build [`#795`](https://github.com/netlify/cli/pull/795)

## [v2.41.0](https://github.com/netlify/cli/compare/v2.40.0...v2.41.0) - 2020-04-06

### Merged

- Add js function templates for Sanity.io [`#605`](https://github.com/netlify/cli/pull/605)
- Bump minimist from 1.2.2 to 1.2.3 [`#792`](https://github.com/netlify/cli/pull/792)
- Upgrade firebase to 7 [`#790`](https://github.com/netlify/cli/pull/790)
- Upgrade firebase [`#789`](https://github.com/netlify/cli/pull/789)
- Upgrade to latest `@netlify/build` and `@netlify/config` [`#782`](https://github.com/netlify/cli/pull/782)
- fix: use path.sep in get-functions.test.js [`#784`](https://github.com/netlify/cli/pull/784)
- fix: use existing user's account instead of hardcoded [`#787`](https://github.com/netlify/cli/pull/787)
- Dev: Revisit port specification options [`#788`](https://github.com/netlify/cli/pull/788)
- Fix Netlify Go Functions [`#785`](https://github.com/netlify/cli/pull/785)
- Dev: Provide process.env as env to static server [`#779`](https://github.com/netlify/cli/pull/779)
- Bump acorn from 6.4.0 to 6.4.1 [`#750`](https://github.com/netlify/cli/pull/750)
- Do not pass `dry: false` option to `netlify build` [`#777`](https://github.com/netlify/cli/pull/777)
- Upgrade `@netlify/build` and `@netlify/config` [`#771`](https://github.com/netlify/cli/pull/771)
- Fix rewrite force behavior for static files [`#776`](https://github.com/netlify/cli/pull/776)
- Make `netlify build` visible [`#775`](https://github.com/netlify/cli/pull/775)
- Fix typo in Netlify Functions section. [`#774`](https://github.com/netlify/cli/pull/774)
- Upgrade `zip-it-and-ship-it` and `js-client` [`#768`](https://github.com/netlify/cli/pull/768)
- Dev: Pass .env vars as an object to child process [`#764`](https://github.com/netlify/cli/pull/764)
- change to run netlify dev on the port that quasar normally uses [`#665`](https://github.com/netlify/cli/pull/665)
- Add support for `pnpm` + Fix issue with `gridsome`detector [`#550`](https://github.com/netlify/cli/pull/550)
- Fix deprecation on errors [`#296`](https://github.com/netlify/cli/pull/296)
- Bump minimist from 1.2.0 to 1.2.2 [`#758`](https://github.com/netlify/cli/pull/758)
- Make sure to respect port flags and configuration [`#755`](https://github.com/netlify/cli/pull/755)
- Add support for getting/tailing deploy logs [`#762`](https://github.com/netlify/cli/pull/762)
- Deploy: Add flag to trigger build [`#760`](https://github.com/netlify/cli/pull/760)
- Add support for _headers files [`#754`](https://github.com/netlify/cli/pull/754)
- Upgrade `@netlify/build` [`#761`](https://github.com/netlify/cli/pull/761)

## [v2.40.0](https://github.com/netlify/cli/compare/v2.39.0...v2.40.0) - 2020-03-16

### Merged

- Netlify Dev: Verify publish dir before comparing [`#752`](https://github.com/netlify/cli/pull/752)
- fix(deploy): handle 404 [`#746`](https://github.com/netlify/cli/pull/746)
- Bump acorn from 5.7.3 to 5.7.4 in /site [`#749`](https://github.com/netlify/cli/pull/749)

### Commits

- Update ISSUE_TEMPLATE.md [`c6f945a`](https://github.com/netlify/cli/commit/c6f945a9aed585407229c5d71477b1b45f1cbb02)

## [v2.39.0](https://github.com/netlify/cli/compare/v2.38.0...v2.39.0) - 2020-03-13

### Merged

- 🐛 Fix a loop for setting env vars [`#748`](https://github.com/netlify/cli/pull/748)
- Docs: Fix 404 page for commands [`#744`](https://github.com/netlify/cli/pull/744)

### Commits

- Update information about env variables [`12e1b18`](https://github.com/netlify/cli/commit/12e1b18c5b649ad88e3a869de560e07695f7f96a)
- Docs: Update local development docs [`8b0b719`](https://github.com/netlify/cli/commit/8b0b71978ffcfbb2f3eec36e72e44fdacf3ebbe2)

## [v2.38.0](https://github.com/netlify/cli/compare/v2.37.0...v2.38.0) - 2020-03-10

### Merged

- Dev: Fix a memory leak in redirects parsing [`#728`](https://github.com/netlify/cli/pull/728)
- Upgrade `@netlify/config` [`#732`](https://github.com/netlify/cli/pull/732)
- Use single .env file for Netlify Dev [`#736`](https://github.com/netlify/cli/pull/736)
- fix(telemetry): do not track disabling of telemetry [`#740`](https://github.com/netlify/cli/pull/740)
- Allow overriding functions env vars with .env file [`#735`](https://github.com/netlify/cli/pull/735)
- [dev] Add support for injecting shared environment variables [`#699`](https://github.com/netlify/cli/pull/699)
- Enforce strict validation of build command CLI flags [`#730`](https://github.com/netlify/cli/pull/730)

## [v2.37.0](https://github.com/netlify/cli/compare/v2.36.0...v2.37.0) - 2020-03-04

### Merged

- Netlify Dev: Handle server socket hangup errors [`#733`](https://github.com/netlify/cli/pull/733)
- Fix `--context` CLI flag for `netlify build` [`#715`](https://github.com/netlify/cli/pull/715)

## [v2.36.0](https://github.com/netlify/cli/compare/v2.35.0...v2.36.0) - 2020-02-25

### Merged

- netlify deploy: Fix hang in certain situations [`#726`](https://github.com/netlify/cli/pull/726)
- update codeowners [`#702`](https://github.com/netlify/cli/pull/702)
- Dev: Change functions timeout to 10s [`#725`](https://github.com/netlify/cli/pull/725)
- Adds angular detector [`#721`](https://github.com/netlify/cli/pull/721)
- fix: restore Netlify Functions logging [`#722`](https://github.com/netlify/cli/pull/722)
- Tests: Dont asign NETLIFY_AUTH_TOKEN explicitly [`#718`](https://github.com/netlify/cli/pull/718)

### Commits

- Dev: Add tests for functions timeout [`6ca7ea2`](https://github.com/netlify/cli/commit/6ca7ea2b62606d1a9cbb1eb685fb89f9da2789f5)
- adds angular detector [`be85e0d`](https://github.com/netlify/cli/commit/be85e0d6e6355886c0010e5343104e00061063f5)
- CircleCI: Remove deploy step [`91feb1d`](https://github.com/netlify/cli/commit/91feb1d3bbd21008da4ed214f01329eaa5d6fd0c)

## [v2.35.0](https://github.com/netlify/cli/compare/v2.34.0...v2.35.0) - 2020-02-19

### Commits

- Fix a reference bug [`4c27f4f`](https://github.com/netlify/cli/commit/4c27f4f877b48c2036a7da24057bfa728af45204)

## [v2.34.0](https://github.com/netlify/cli/compare/v2.33.0...v2.34.0) - 2020-02-19

### Merged

- Fix path name when rewriting functions URL [`#713`](https://github.com/netlify/cli/pull/713)
- Bump lodash from 4.17.11 to 4.17.15 in /site [`#361`](https://github.com/netlify/cli/pull/361)
- Netlify Dev: Add support for .env files [`#714`](https://github.com/netlify/cli/pull/714)

### Commits

- Add support for .env files [`3ca0769`](https://github.com/netlify/cli/commit/3ca076926c31e50a42fe2a3985f761ffcbe8310d)
- Update package-lock.json [`c7ee6ed`](https://github.com/netlify/cli/commit/c7ee6eda05bb4e5c40bed683511a0c08f0a03956)
- Add docs for Netlify Dev env vars [`8f84d48`](https://github.com/netlify/cli/commit/8f84d48f3aaf207a0523ed6649f036f26893108b)

## [v2.33.0](https://github.com/netlify/cli/compare/v2.32.0...v2.33.0) - 2020-02-19

### Merged

- [api] Add support for not passing the data flag when it is not needed [`#701`](https://github.com/netlify/cli/pull/701)
- Upgrade js-client to `3.0.0` [`#710`](https://github.com/netlify/cli/pull/710)
- asking for a bit more info and clarifying how to search the issues list [`#693`](https://github.com/netlify/cli/pull/693)

### Commits

- Update package-lock.json [`afd1c50`](https://github.com/netlify/cli/commit/afd1c506f98f72f972fe3820edc8a5a9b06280fd)
- Upgrade js-client to 3.0.0 [`59c4189`](https://github.com/netlify/cli/commit/59c41895d00bbb5757d5a2686c629e546b056f0a)

## [v2.32.0](https://github.com/netlify/cli/compare/v2.31.0...v2.32.0) - 2020-02-07

### Merged

- detectors: Add GATSBY_LOGGER env [`#704`](https://github.com/netlify/cli/pull/704)
- chore: add renovate config [`#703`](https://github.com/netlify/cli/pull/703)
- Create CODEOWNERS [`#697`](https://github.com/netlify/cli/pull/697)

## [v2.31.0](https://github.com/netlify/cli/compare/v2.30.0...v2.31.0) - 2020-02-02

### Merged

- fix: update nuxt detector for netlify dev [`#686`](https://github.com/netlify/cli/pull/686)

### Commits

- Dev: Pass query prams to rewrites [`91fa2fa`](https://github.com/netlify/cli/commit/91fa2fa0b14ad85ee793d091bb9e571fa8d22b3c)
- Dev proxy: Add a fallback for remoteAddress [`615fed1`](https://github.com/netlify/cli/commit/615fed1a32e647104c559711fe091bc41d57fdf0)
- fix: change dist [`cc39eec`](https://github.com/netlify/cli/commit/cc39eec51c5392f91684bc15d08aebca9ca6f271)

## [v2.30.0](https://github.com/netlify/cli/compare/v2.29.0...v2.30.0) - 2020-01-15

### Merged

- Share process ENV with child [`#685`](https://github.com/netlify/cli/pull/685)
- Add ember detector [`#682`](https://github.com/netlify/cli/pull/682)
- Update path to detectors folder [`#681`](https://github.com/netlify/cli/pull/681)

### Commits

- Netlify Dev: Handle error while killing child process [`5f61065`](https://github.com/netlify/cli/commit/5f61065e63cde864a5fa67d34065931bf4df9ef5)
- Netilfy Dev: Pass down process env to child [`99934f5`](https://github.com/netlify/cli/commit/99934f56e2b1a1ea9aad04bb41d4668740b5dda8)
- fix detector comment [`8a9de30`](https://github.com/netlify/cli/commit/8a9de30c590a97bd2c621884c11a254682e6967d)

## [v2.29.0](https://github.com/netlify/cli/compare/v2.28.0...v2.29.0) - 2020-01-10

### Merged

- Validate existence of config file in command [`#680`](https://github.com/netlify/cli/pull/680)

### Commits

- Proper fix for zombie process on exception [`64d6e67`](https://github.com/netlify/cli/commit/64d6e67a4eb0c39f3dc49e0061a2f3cedb012f32)
- Remove redundant config error handling [`cfa4235`](https://github.com/netlify/cli/commit/cfa4235f9217a8687f63854deaa4525195a46935)
- :no_entry: Validate existence of config file in command [`23f0dae`](https://github.com/netlify/cli/commit/23f0daec1f453f72673a5baab39186e95907a169)

## [v2.28.0](https://github.com/netlify/cli/compare/v2.27.0...v2.28.0) - 2020-01-09

### Merged

- Add detector for Expo [`#672`](https://github.com/netlify/cli/pull/672)
- Handle zombie processes differently [`#679`](https://github.com/netlify/cli/pull/679)
- fix: https://github.com/netlify/cli/issues/675 [`#678`](https://github.com/netlify/cli/pull/678)
- Revert default autoLaunch behavior to true [`#673`](https://github.com/netlify/cli/pull/673)

### Commits

- Update package-lock.json [`195d01d`](https://github.com/netlify/cli/commit/195d01d5629f7a1b8b07d68a7fe5761d77b3dc12)
- Use Expo's default `web` script [`68e61d8`](https://github.com/netlify/cli/commit/68e61d8c884e171964e59f344fe996c7dab4f754)
- Dev: Fix static server dist path [`263eef6`](https://github.com/netlify/cli/commit/263eef66becc3593b83cec3cabc6258ef97cea73)

## [v2.27.0](https://github.com/netlify/cli/compare/v2.26.0...v2.27.0) - 2020-01-08

### Commits

- Fix random port assignment for dev server [`590a94a`](https://github.com/netlify/cli/commit/590a94a7890cf5881fe2a659a02ebc974d5ff987)
- Formatting [`32e068c`](https://github.com/netlify/cli/commit/32e068cb02ee0b47d83b1aef46139f46444b4f55)
- Update get-port package [`ef1e08e`](https://github.com/netlify/cli/commit/ef1e08e6b4a1d68212f308bd92299b253233e0f5)

## [v2.26.0](https://github.com/netlify/cli/compare/v2.25.0...v2.26.0) - 2020-01-08

### Merged

- Fix functions server port assignment [`#674`](https://github.com/netlify/cli/pull/674)
- Revamp redirects parsing [`#661`](https://github.com/netlify/cli/pull/661)
- Remove duplicate port allocation - fixes #658 [`#669`](https://github.com/netlify/cli/pull/669)
- Allow users to configure Git remote on init [`#635`](https://github.com/netlify/cli/pull/635)
- fill in proxyPort when detector is bypassed [`#644`](https://github.com/netlify/cli/pull/644)
- Fix double space before env var name [`#662`](https://github.com/netlify/cli/pull/662)
- Update package-lock [`#656`](https://github.com/netlify/cli/pull/656)
- show useful error if targetPort is unknown [`#602`](https://github.com/netlify/cli/pull/602)
- Output site_name when deployed with --json arg [`#651`](https://github.com/netlify/cli/pull/651)
- docs: update gh doc links [`#650`](https://github.com/netlify/cli/pull/650)
- Add .md to broken function subcommand links [`#649`](https://github.com/netlify/cli/pull/649)
- Update function list command [`#645`](https://github.com/netlify/cli/pull/645)
- Remove useless conditional [`#637`](https://github.com/netlify/cli/pull/637)
- chore: remove unused deps [`#646`](https://github.com/netlify/cli/pull/646)

### Fixed

- Merge pull request #669 from 130n/master [`#658`](https://github.com/netlify/cli/issues/658)
- fill in proxyPort when detector is bypassed [`#620`](https://github.com/netlify/cli/issues/620)

### Commits

- Fix netlify-redirect-parser problem by updating [`5e28d0c`](https://github.com/netlify/cli/commit/5e28d0c50a9efcaaa23d4da2e747feab5a2716f6)
- docs: update paths [`3bb6ed1`](https://github.com/netlify/cli/commit/3bb6ed118603dcf04cb68f70768839deff1aff8b)
- docs: update site sync script. Update paths for site build [`b4aa492`](https://github.com/netlify/cli/commit/b4aa492cb2d7d75fae84a71800ebbe66290e3697)

## [v2.25.0](https://github.com/netlify/cli/compare/v2.24.0...v2.25.0) - 2019-12-10

### Merged

- Propagate siteId and site.id vars after linking [`#643`](https://github.com/netlify/cli/pull/643)
- Update finders.js [`#636`](https://github.com/netlify/cli/pull/636)

### Commits

- Update changelog to fix inconsistency [`4468429`](https://github.com/netlify/cli/commit/446842907a034ecc7dd58db072fd11c45802c8d9)

## [v2.24.0](https://github.com/netlify/cli/compare/v2.23.1...v2.24.0) - 2019-12-07

## [v2.23.1](https://github.com/netlify/cli/compare/v2.23.0...v2.23.1) - 2019-12-07

### Merged

- Update Config parsing to work with netlify build [`#616`](https://github.com/netlify/cli/pull/616)

### Commits

- refactor: delete old config parsing [`6bd8a44`](https://github.com/netlify/cli/commit/6bd8a44c9c7ae08832ca1099f0820f9ea80eba09)
- fix: dont run detector sync lookup for every command [`18f1b30`](https://github.com/netlify/cli/commit/18f1b306c6ad101cc8126c7174a1f99ccf15ef32)
- chore: update config dep [`4012c9d`](https://github.com/netlify/cli/commit/4012c9d66fe37af570e43e3007ec527d373e5fd1)

## [v2.23.0](https://github.com/netlify/cli/compare/v2.22.0...v2.23.0) - 2019-12-05

### Merged

- Allow configuration of auto launch feature [`#631`](https://github.com/netlify/cli/pull/631)

### Commits

- Use const [`7a2b6d6`](https://github.com/netlify/cli/commit/7a2b6d606b4f69ce464731223102570a3ccb3a89)

## [v2.22.0](https://github.com/netlify/cli/compare/v2.21.0...v2.22.0) - 2019-12-05

### Merged

- Fix zombie child proceses [`#628`](https://github.com/netlify/cli/pull/628)
- Use netlify-redirect-parser package [`#611`](https://github.com/netlify/cli/pull/611)
- Allow no configuration file with `netlify build` [`#619`](https://github.com/netlify/cli/pull/619)

### Commits

- Allow no configuration file [`a9977b0`](https://github.com/netlify/cli/commit/a9977b004df193bbff3b5d839aefdaf466fa29c9)

## [v2.21.0](https://github.com/netlify/cli/compare/v2.20.2...v2.21.0) - 2019-11-13

### Merged

- Open URL on netlify dev [`#612`](https://github.com/netlify/cli/pull/612)

### Commits

- netlify dev: Warning if open fails [`8a4e8a7`](https://github.com/netlify/cli/commit/8a4e8a7e929f70bb5b5fd0df901646b1b071c9a4)

## [v2.20.2](https://github.com/netlify/cli/compare/v2.20.1...v2.20.2) - 2019-11-01

### Merged

- chore: bump build dep [`#600`](https://github.com/netlify/cli/pull/600)
- Update dep cruiser dev dep [`#599`](https://github.com/netlify/cli/pull/599)

### Commits

- chore: update dev dep [`ab04e99`](https://github.com/netlify/cli/commit/ab04e99d941003df9a28fd7d91dd32ff87bd5430)
- docs: fix function output [`99c818b`](https://github.com/netlify/cli/commit/99c818bcdad0b86916ef40176154ad324e4d52b7)

## [v2.20.1](https://github.com/netlify/cli/compare/v2.20.0...v2.20.1) - 2019-10-29

### Merged

- Fix configuration loading with `netlify build` [`#595`](https://github.com/netlify/cli/pull/595)
- Improves `netlify build` command [`#593`](https://github.com/netlify/cli/pull/593)
- Update code links to new repository [`#586`](https://github.com/netlify/cli/pull/586)

### Commits

- Improve Netlify Build CLI [`936a827`](https://github.com/netlify/cli/commit/936a82757d398ef4b473bac346829f79c146e009)
- Fix semver issue with @netlify/build [`300db4d`](https://github.com/netlify/cli/commit/300db4da3e9d2dfff5f401e856ee2b61e47bcf94)

## [v2.20.0](https://github.com/netlify/cli/compare/v2.19.6...v2.20.0) - 2019-10-28

## [v2.19.6](https://github.com/netlify/cli/compare/v2.19.5...v2.19.6) - 2019-10-28

### Merged

- Allow overriding the api target host [`#582`](https://github.com/netlify/cli/pull/582)

### Commits

- Add missing import for node 8 [`d9cb6f3`](https://github.com/netlify/cli/commit/d9cb6f39ec2c760a0dd678b633ceb9340fc7b434)

## [v2.19.5](https://github.com/netlify/cli/compare/v2.19.4...v2.19.5) - 2019-10-28

### Merged

- Fix Prettier (second round) [`#557`](https://github.com/netlify/cli/pull/557)
- Use semver with Netlify Build [`#591`](https://github.com/netlify/cli/pull/591)

## [v2.19.4](https://github.com/netlify/cli/compare/v2.19.3...v2.19.4) - 2019-10-26

### Merged

- Bump `@netlify/build` version [`#588`](https://github.com/netlify/cli/pull/588)

### Commits

- Bump @netlify/build version [`f1318fc`](https://github.com/netlify/cli/commit/f1318fc4a6ee6da417140e91e86f48310ac4d119)
- Bump build version [`f97a152`](https://github.com/netlify/cli/commit/f97a152573c22f08f20523d04628df1fb8027318)

## [v2.19.3](https://github.com/netlify/cli/compare/v2.19.2...v2.19.3) - 2019-10-24

### Merged

- Bump @netlify/build version [`#585`](https://github.com/netlify/cli/pull/585)

## [v2.19.2](https://github.com/netlify/cli/compare/v2.19.1...v2.19.2) - 2019-10-22

### Commits

- chore: bump version [`437d806`](https://github.com/netlify/cli/commit/437d80610970f3c4a5f4fe6f585e5f6bfff13dd1)

## [v2.19.1](https://github.com/netlify/cli/compare/v2.19.0...v2.19.1) - 2019-10-22

### Merged

- Typo in error message [`#578`](https://github.com/netlify/cli/pull/578)

### Commits

- chore: bump build [`b2ce606`](https://github.com/netlify/cli/commit/b2ce606c7a843a28af7fb6938c25225fcc30883f)
- Formatting [`cb26ae7`](https://github.com/netlify/cli/commit/cb26ae74f0e0dd9bc820c8194cea40574bb9cee6)
- chore: update lock [`9bb0310`](https://github.com/netlify/cli/commit/9bb0310202ca2bb1c5d317cb508adfd6915f4326)

## [v2.19.0](https://github.com/netlify/cli/compare/v2.18.2...v2.19.0) - 2019-10-16

### Merged

- Fix tests when run in a path containing spaces [`#567`](https://github.com/netlify/cli/pull/567)

### Commits

- Refactor redirects to a seperate function [`e5c0481`](https://github.com/netlify/cli/commit/e5c0481e598ed760c1c73a2a7cd6ada3835688d3)

## [v2.18.2](https://github.com/netlify/cli/compare/v2.18.1...v2.18.2) - 2019-10-16

### Merged

- bump [`#574`](https://github.com/netlify/cli/pull/574)

## [v2.18.1](https://github.com/netlify/cli/compare/v2.18.0...v2.18.1) - 2019-10-16

### Merged

- fix: remove naming conflict [`#572`](https://github.com/netlify/cli/pull/572)

### Commits

- Update a var name to urlForAddons [`9fc89fe`](https://github.com/netlify/cli/commit/9fc89fea9f81398fde3de36e96cc80fcdf036050)

## [v2.18.0](https://github.com/netlify/cli/compare/v2.17.0...v2.18.0) - 2019-10-16

### Merged

- Dev: Add support for JWT redirects [`#545`](https://github.com/netlify/cli/pull/545)
- Updates [`#571`](https://github.com/netlify/cli/pull/571)

### Commits

- lock [`35c5c04`](https://github.com/netlify/cli/commit/35c5c046f22e24ca7284949f0bd618d639c31068)
- updates [`f7ff5db`](https://github.com/netlify/cli/commit/f7ff5dbede10ac3596e6c4a0d5712db820d510c0)
- Update package-lock.json [`aad6875`](https://github.com/netlify/cli/commit/aad68751b3aad34cf710c53eb21a064fc4da8e35)

## [v2.17.0](https://github.com/netlify/cli/compare/v2.16.0...v2.17.0) - 2019-10-08

### Merged

- Dev: Fix port flag [`#488`](https://github.com/netlify/cli/pull/488)

### Commits

- Dev: Add targetPort flag [`444f421`](https://github.com/netlify/cli/commit/444f421e32c7733cdae5126807e28faa2cdd6174)

## [v2.16.0](https://github.com/netlify/cli/compare/v2.15.0...v2.16.0) - 2019-10-07

### Merged

- Fix linting [`#555`](https://github.com/netlify/cli/pull/555)
- Merge CLI utils to this repository [`#551`](https://github.com/netlify/cli/pull/551)
- Fix supported Node.js version [`#554`](https://github.com/netlify/cli/pull/554)
- Fix running npm scripts on a Windows machine [`#553`](https://github.com/netlify/cli/pull/553)
- Fix prettier [`#552`](https://github.com/netlify/cli/pull/552)
- Update API documentation URLs [`#546`](https://github.com/netlify/cli/pull/546)
- Dev: Add new tests for get-functions.js [`#548`](https://github.com/netlify/cli/pull/548)
- Dev: Allow custom headers on rewrites [`#547`](https://github.com/netlify/cli/pull/547)
- Dev: Fix 404 redirects [`#538`](https://github.com/netlify/cli/pull/538)
- Dev: Try static files before deciding on redirect [`#533`](https://github.com/netlify/cli/pull/533)
- Add new test for telemetry module, validating of eventName [`#542`](https://github.com/netlify/cli/pull/542)
- Fixing prettier issues, and add to scripts test:prettier [`#543`](https://github.com/netlify/cli/pull/543)
- Fix: Fixing some no-unused-vars warnings from eslint [`#540`](https://github.com/netlify/cli/pull/540)
- Fix: Fixing the relative path in test [`#535`](https://github.com/netlify/cli/pull/535)
- Dev: Respect the dir flag for serving directory [`#532`](https://github.com/netlify/cli/pull/532)

### Commits

- Fix: Fixing prettier issues, and add to scripts test:prettier [`f41e236`](https://github.com/netlify/cli/commit/f41e2365f83eff680256bc72c7450e8bd13922f2)
- Merge `cli-utils` repository [`6bced11`](https://github.com/netlify/cli/commit/6bced11e2c9be2de143dc8ef945025d9df123c6e)
- Dev: Move rediects logic into proxy server [`d6bee67`](https://github.com/netlify/cli/commit/d6bee67cbef01f337f00b00cf0f5a792400fd11a)

## [v2.15.0](https://github.com/netlify/cli/compare/v2.14.0...v2.15.0) - 2019-09-13

### Merged

- Dev: Only pipe stdio when running create-react-app [`#528`](https://github.com/netlify/cli/pull/528)
- RulesProxy: ignore rediect rule for base [`#527`](https://github.com/netlify/cli/pull/527)
- Show `netlify addons` command [`#524`](https://github.com/netlify/cli/pull/524)

### Commits

- docs: update add-on & api docs [`cd8a353`](https://github.com/netlify/cli/commit/cd8a353edbd6783beccf86c47d9ebf0ebb079ba1)
- RulesProxy: Make sure _redirects works with dev [`27f92f2`](https://github.com/netlify/cli/commit/27f92f23148f7250e63a1586744d155a54751cd5)
- update logo [`3984bbb`](https://github.com/netlify/cli/commit/3984bbb1c4177fb410f9100d83baac7875ea0025)

## [v2.14.0](https://github.com/netlify/cli/compare/v2.13.1...v2.14.0) - 2019-09-12

### Merged

- Update links to netlify dev documentation [`#523`](https://github.com/netlify/cli/pull/523)
- Dev: Make functions port configureable [`#525`](https://github.com/netlify/cli/pull/525)
- Fix port for proxy redirects [`#520`](https://github.com/netlify/cli/pull/520)
- Rules Proxy: Pass on query parameters [`#519`](https://github.com/netlify/cli/pull/519)
- Import rules-proxy and  and redirect-parser [`#518`](https://github.com/netlify/cli/pull/518)
- Consider sites from different team in Netlify link [`#500`](https://github.com/netlify/cli/pull/500)
- Improve prompts for `link` command [`#502`](https://github.com/netlify/cli/pull/502)
- Add Parcel detector [`#505`](https://github.com/netlify/cli/pull/505)
- rename deploy path  [`#508`](https://github.com/netlify/cli/pull/508)
- Improve analytics [`#513`](https://github.com/netlify/cli/pull/513)
- Update ISSUE_TEMPLATE.md [`#504`](https://github.com/netlify/cli/pull/504)
- Neltify -&gt; Netlify [`#512`](https://github.com/netlify/cli/pull/512)

### Commits

- merge conflicts [`4ef3dee`](https://github.com/netlify/cli/commit/4ef3dee34bb8d999759e0a9c62f79a57ac102796)
- Track CLI commands [`2da55fb`](https://github.com/netlify/cli/commit/2da55fbd7fe0143c11d2944d6019b6af2b674cd7)
- Remove @netlify/rules-proxy as dep [`1163c79`](https://github.com/netlify/cli/commit/1163c798c37a0094ff137bded53ba5516aa20d35)

## [v2.13.1](https://github.com/netlify/cli/compare/v2.13.0...v2.13.1) - 2019-09-02

### Merged

- make functions folder existence optional for netlify deploy [`#497`](https://github.com/netlify/cli/pull/497)
- Jekyll detector: Remove -l param [`#491`](https://github.com/netlify/cli/pull/491)
- Fix dependencies [`#495`](https://github.com/netlify/cli/pull/495)

### Commits

- Update src/commands/deploy.js [`1086a27`](https://github.com/netlify/cli/commit/1086a2710d0317dcb58beae3c556507f62bec802)
- Dependencies: Move @oclif/plugin-help back [`71d6b01`](https://github.com/netlify/cli/commit/71d6b01f337ce383ac8499924e4b3eadec477931)
- Jekyll dectector: Remove -l param [`7df6cdf`](https://github.com/netlify/cli/commit/7df6cdfaf802fdea7b454d2268e81285079f3125)

## [v2.13.0](https://github.com/netlify/cli/compare/v2.12.0...v2.13.0) - 2019-08-29

### Merged

- Deploy: Add a timeout flag [`#489`](https://github.com/netlify/cli/pull/489)
- Fix repeated downloads of live-tunnel binary on Windows [`#485`](https://github.com/netlify/cli/pull/485)
- Update docs [`#490`](https://github.com/netlify/cli/pull/490)
- sites:create Fix JSON log [`#391`](https://github.com/netlify/cli/pull/391)
- Functions: Add support for multi-value headers [`#487`](https://github.com/netlify/cli/pull/487)
- Add command to switch active Netlify account [`#395`](https://github.com/netlify/cli/pull/395)
- Merge netlify-dev-plugin in CLI [`#396`](https://github.com/netlify/cli/pull/396)
- Functions: Fix isBase64Encoded [`#398`](https://github.com/netlify/cli/pull/398)
- Functions: Add client-ip header to request [`#397`](https://github.com/netlify/cli/pull/397)
- chore: Minor fix [`#393`](https://github.com/netlify/cli/pull/393)
- Update issue template [`#392`](https://github.com/netlify/cli/pull/392)
- Automatically Ignore .netlify folder on init/link [`#358`](https://github.com/netlify/cli/pull/358)
- refactor: update status verbose flag [`#390`](https://github.com/netlify/cli/pull/390)
- feat(chore): show up local env-info with --verbose flag [`#382`](https://github.com/netlify/cli/pull/382)
- add json output with siteId [`#384`](https://github.com/netlify/cli/pull/384)
- add “netlify api” command [`#379`](https://github.com/netlify/cli/pull/379)

### Commits

- Merge netlify-dev-plugin [`9ffd514`](https://github.com/netlify/cli/commit/9ffd51413536302becf7e8736536ed40c528c5c2)
- Create netlify-dev.md [`c45fa71`](https://github.com/netlify/cli/commit/c45fa713c13590ae47202f02425e8e5c1abe78b6)
- Remove netlify-dev-plugin from config [`278714f`](https://github.com/netlify/cli/commit/278714f6037cfe27aed8b25e6d63a059f3fa62b8)

## [v2.12.0](https://github.com/netlify/cli/compare/v2.11.34...v2.12.0) - 2019-07-31

## [v2.11.34](https://github.com/netlify/cli/compare/v2.11.33...v2.11.34) - 2019-07-31

### Commits

- Use package-lock.json [`39eeafc`](https://github.com/netlify/cli/commit/39eeafc0adc1e7c43b649655867c6a1d7b680fa2)
- Update netlify-dev-plugin [`3efc108`](https://github.com/netlify/cli/commit/3efc10811aaa7a622f46afe3a86c22ebf3cbd03c)
- Revert "Update netlify-dev-plugin" [`d0dee3d`](https://github.com/netlify/cli/commit/d0dee3d0d96999f72c45815aa5154f78c1ffd4ea)

## [v2.11.33](https://github.com/netlify/cli/compare/2.11.32...v2.11.33) - 2019-07-31

### Commits

- Update netlify-dev-plugin [`a254ec0`](https://github.com/netlify/cli/commit/a254ec0af306b6c9ec4feb3a91763f1a8f426d35)

## [2.11.32](https://github.com/netlify/cli/compare/v2.11.32...2.11.32) - 2019-07-31

## [v2.11.32](https://github.com/netlify/cli/compare/v2.11.31...v2.11.32) - 2019-07-31

### Commits

- Update netlify-dev-plugin [`0846337`](https://github.com/netlify/cli/commit/08463371eccdee7a32a4e0cb492d7ab63ab3d77b)

## [v2.11.31](https://github.com/netlify/cli/compare/v2.11.30...v2.11.31) - 2019-07-24

### Merged

- Add missing postinstall script [`#380`](https://github.com/netlify/cli/pull/380)
- Deployment changes [`#377`](https://github.com/netlify/cli/pull/377)

### Commits

- Add CircleCI config [`3cf419a`](https://github.com/netlify/cli/commit/3cf419a8e7a7f27e71ff5c349438225912a6c3ef)
- Update CircleCI config [`9337235`](https://github.com/netlify/cli/commit/9337235a898455a0c1ef87a23c890054d0970e7f)
- Delete .travis.yml [`a2b9d33`](https://github.com/netlify/cli/commit/a2b9d33bb2657be918b3c9a29eeb53c35cb74386)

## [v2.11.30](https://github.com/netlify/cli/compare/v2.11.30-re-release9...v2.11.30) - 2019-07-24

## [v2.11.30-re-release9](https://github.com/netlify/cli/compare/v2.11.30-re-release8...v2.11.30-re-release9) - 2019-07-25

### Merged

- Deployment changes [`#377`](https://github.com/netlify/cli/pull/377)

### Commits

- Add CircleCI config [`3cf419a`](https://github.com/netlify/cli/commit/3cf419a8e7a7f27e71ff5c349438225912a6c3ef)
- Change test account name [`9140796`](https://github.com/netlify/cli/commit/9140796486d7672f5cca4ce6504d4b087f05f916)

## [v2.11.30-re-release8](https://github.com/netlify/cli/compare/v2.11.30-re-release7...v2.11.30-re-release8) - 2019-07-24

### Commits

- Update .travis.yml [`b31497d`](https://github.com/netlify/cli/commit/b31497ded58779a1daa4881c5754156fa20e035e)

## [v2.11.30-re-release7](https://github.com/netlify/cli/compare/v2.11.30-re-release6...v2.11.30-re-release7) - 2019-07-24

### Commits

- Update .travis.yml [`837df32`](https://github.com/netlify/cli/commit/837df3294ee2a974558ac3fc7f3b4778d9eb3f9b)

## [v2.11.30-re-release6](https://github.com/netlify/cli/compare/v2.11.30-re-release5...v2.11.30-re-release6) - 2019-07-24

### Commits

- Travis: Use npm deploy provider [`0c2f7b6`](https://github.com/netlify/cli/commit/0c2f7b62f9284d979e942c540b02ae1f18109584)
- Update .travis.yml [`79e413a`](https://github.com/netlify/cli/commit/79e413a83b2ff88eaab013df4c892316abba6ca2)
- Update .travis.yml [`339cdf8`](https://github.com/netlify/cli/commit/339cdf8f253785d96cffba1ccd883411b0565460)

## [v2.11.30-re-release5](https://github.com/netlify/cli/compare/v2.11.30-re-release4...v2.11.30-re-release5) - 2019-07-24

## [v2.11.30-re-release4](https://github.com/netlify/cli/compare/v2.11.30-re-release3...v2.11.30-re-release4) - 2019-07-24

### Commits

- Travis: Install before publish [`a713dcc`](https://github.com/netlify/cli/commit/a713dcc761c663f730f4a556a3aadb714e21160c)

## [v2.11.30-re-release3](https://github.com/netlify/cli/compare/v2.11.30-re-release2...v2.11.30-re-release3) - 2019-07-24

### Commits

- Remove "prepublishOnly" script [`cc50357`](https://github.com/netlify/cli/commit/cc50357b4e54074f585df7e8ddbbf7584d851d07)

## [v2.11.30-re-release2](https://github.com/netlify/cli/compare/v2.11.30-re-release10...v2.11.30-re-release2) - 2019-07-24

## [v2.11.30-re-release10](https://github.com/netlify/cli/compare/v2.11.30-re-release...v2.11.30-re-release10) - 2019-07-25

### Merged

- Deployment changes [`#377`](https://github.com/netlify/cli/pull/377)

### Commits

- Add CircleCI config [`3cf419a`](https://github.com/netlify/cli/commit/3cf419a8e7a7f27e71ff5c349438225912a6c3ef)
- Update CircleCI config [`9337235`](https://github.com/netlify/cli/commit/9337235a898455a0c1ef87a23c890054d0970e7f)
- Delete .travis.yml [`a2b9d33`](https://github.com/netlify/cli/commit/a2b9d33bb2657be918b3c9a29eeb53c35cb74386)

## [v2.11.30-re-release](https://github.com/netlify/cli/compare/v2.11.29...v2.11.30-re-release) - 2019-07-24

### Merged

- Add global --json, --auth, && --silent flag support [`#371`](https://github.com/netlify/cli/pull/371)
- [WIP] Add integration tests [`#254`](https://github.com/netlify/cli/pull/254)
- Add postinstall success message [`#367`](https://github.com/netlify/cli/pull/367)
- Remove Github token from browser history [`#364`](https://github.com/netlify/cli/pull/364)
- add release checklist notes [`#363`](https://github.com/netlify/cli/pull/363)

### Commits

- Update npm-shrinkwrap.json [`109cfa4`](https://github.com/netlify/cli/commit/109cfa42de22a4109e866b190ed60f20d294cb78)
- update addon commands to support silent flag [`e5fd29c`](https://github.com/netlify/cli/commit/e5fd29ce8dcc6a81bf0e652dde18e2a9e467eacd)
- add integration tests for addon creation flow [`8c497f7`](https://github.com/netlify/cli/commit/8c497f7d16d10fa6f55b766fa74003d0d19403d7)

## [v2.11.29](https://github.com/netlify/cli/compare/v2.11.28...v2.11.29) - 2019-07-19

## [v2.11.28](https://github.com/netlify/cli/compare/v2.11.27...v2.11.28) - 2019-07-19

### Merged

- bump dev plugin [`#360`](https://github.com/netlify/cli/pull/360)

## [v2.11.27](https://github.com/netlify/cli/compare/v2.11.26...v2.11.27) - 2019-07-18

### Merged

- Revert "Remove shrink-wrap pruning during pack step" [`#338`](https://github.com/netlify/cli/pull/338)
- Allow user to choose another site name if current doesn't exist [`#342`](https://github.com/netlify/cli/pull/342)
- Add Github login through app.netlify.com [`#348`](https://github.com/netlify/cli/pull/348)

### Commits

- Allow user to input different site name [`524f368`](https://github.com/netlify/cli/commit/524f368abcd6e0b69290515704f3b889e0d0d358)
- Improve styles for CLI login page [`429118f`](https://github.com/netlify/cli/commit/429118f479dd2cb7228d394935b117787a8d3af8)
- Don't repeat request for username [`5e978d0`](https://github.com/netlify/cli/commit/5e978d08064332517bab1b7ae9dd9c6bb0f6bfc8)

## [v2.11.26](https://github.com/netlify/cli/compare/v2.11.25...v2.11.26) - 2019-07-17

## [v2.11.25](https://github.com/netlify/cli/compare/v2.11.24...v2.11.25) - 2019-07-17

### Merged

- update util dep [`#357`](https://github.com/netlify/cli/pull/357)

## [v2.11.24](https://github.com/netlify/cli/compare/v2.11.23...v2.11.24) - 2019-07-16

### Merged

- Make all command honor process.env.NETLIFY_AUTH_TOKEN [`#354`](https://github.com/netlify/cli/pull/354)
- getRepoDate: Fix host [`#352`](https://github.com/netlify/cli/pull/352)
- Some grammar fixes [`#343`](https://github.com/netlify/cli/pull/343)
- Ignore .idea dir [`#346`](https://github.com/netlify/cli/pull/346)
- updates messaging for creating sites and error messages [`#334`](https://github.com/netlify/cli/pull/334)
- use a list of sites to chose from rather than entering the name manually [`#335`](https://github.com/netlify/cli/pull/335)

### Commits

- bump cli-utils [`40b4b8e`](https://github.com/netlify/cli/commit/40b4b8e9d4daf756495f803ebd5c5ab4abf60936)
- update netlify status logic & exit early if no token [`2ead87f`](https://github.com/netlify/cli/commit/2ead87f0af9f35aa2290fb8355cc9f544859c48b)
- Update login/logout login + message to user [`82fb06d`](https://github.com/netlify/cli/commit/82fb06d6dca6244a419c45a25825da21446427f3)

## [v2.11.23](https://github.com/netlify/cli/compare/v2.11.22...v2.11.23) - 2019-06-17

### Commits

- update deps [`b60de50`](https://github.com/netlify/cli/commit/b60de5011192846c6ba881eb78f30b77e1536e8c)
- update js-yaml in site/ [`cf4d892`](https://github.com/netlify/cli/commit/cf4d8921b96723ad489280165ffb6e071549ed4c)

## [v2.11.22](https://github.com/netlify/cli/compare/v2.11.21...v2.11.22) - 2019-06-06

### Merged

- bump client [`#330`](https://github.com/netlify/cli/pull/330)

### Commits

- add chalk to netlify init output [`0b806bf`](https://github.com/netlify/cli/commit/0b806bfd72120fb105d54ff5b50dff03d8d265d2)

## [v2.11.21](https://github.com/netlify/cli/compare/v2.11.20...v2.11.21) - 2019-06-05

### Merged

- add —json flag for programatic access [`#313`](https://github.com/netlify/cli/pull/313)
- Catch error and finish with error upon create/update/delte of addons [`#329`](https://github.com/netlify/cli/pull/329)

### Commits

- update deps [`636af33`](https://github.com/netlify/cli/commit/636af33fdcb4648bff136ff74a25dac298a98f51)
- remove CLI spinners when —json flag present [`ba56d7b`](https://github.com/netlify/cli/commit/ba56d7b0dcbfa501da9333045ecc62520726ded2)

## [v2.11.20](https://github.com/netlify/cli/compare/v2.11.19...v2.11.20) - 2019-06-04

### Merged

- Friendlier output for newcomers [`#323`](https://github.com/netlify/cli/pull/323)
- only show config prompts for addons with config [`#317`](https://github.com/netlify/cli/pull/317)

### Commits

- update deps [`6d17935`](https://github.com/netlify/cli/commit/6d179356eeec9aa3b5837818cf0101936eddb461)
- only log if manifest has keys [`0c6c60f`](https://github.com/netlify/cli/commit/0c6c60f131db9169d6beb17e264dd570a88821f9)
- make existing repo sound more like a success than a failure [`6a7faf5`](https://github.com/netlify/cli/commit/6a7faf598dc5d386853ebbfd61f0faefcfc973ec)

## [v2.11.19](https://github.com/netlify/cli/compare/v2.11.18...v2.11.19) - 2019-05-20

### Commits

- udpate deps [`5f5ce53`](https://github.com/netlify/cli/commit/5f5ce5346737ebc580160ed8262056dadbe572f3)

## [v2.11.18](https://github.com/netlify/cli/compare/v2.11.17...v2.11.18) - 2019-05-09

### Commits

- bump versions [`f57ce8e`](https://github.com/netlify/cli/commit/f57ce8e647d5eec822e5874fafd2a761fb885eef)

## [v2.11.17](https://github.com/netlify/cli/compare/v2.11.16...v2.11.17) - 2019-05-08

### Commits

- update deps [`0b53eac`](https://github.com/netlify/cli/commit/0b53eac8fcfe08faa8fb45698d5bda02ae39e350)

## [v2.11.16](https://github.com/netlify/cli/compare/v2.11.15...v2.11.16) - 2019-05-07

### Commits

- bump dev plugin [`bacbcf2`](https://github.com/netlify/cli/commit/bacbcf2a592fc62d57f9887aa98710db03838298)

## [v2.11.15](https://github.com/netlify/cli/compare/v2.11.14...v2.11.15) - 2019-04-29

### Merged

- Typo fix [`#307`](https://github.com/netlify/cli/pull/307)
- Update install instructions [`#306`](https://github.com/netlify/cli/pull/306)

### Commits

- bump dependencies [`636dd63`](https://github.com/netlify/cli/commit/636dd637126a41a2681c9a3fa0a4dc1090bd7e3a)
- add install instructuions [`0948d15`](https://github.com/netlify/cli/commit/0948d155975372f904403e530440c72acadfd674)
- Update deploy.md [`9437ec4`](https://github.com/netlify/cli/commit/9437ec484ce2725ab22af4b9e32cf15a26cc1945)

## [v2.11.14](https://github.com/netlify/cli/compare/v2.11.13...v2.11.14) - 2019-04-25

### Commits

- bump versions [`c6c156d`](https://github.com/netlify/cli/commit/c6c156d936998482526c2b6feb00c2cbdcb508d0)

## [v2.11.13](https://github.com/netlify/cli/compare/v2.11.12...v2.11.13) - 2019-04-25

### Merged

- add command index base page [`#305`](https://github.com/netlify/cli/pull/305)
- add dev + functions command to ref site [`#303`](https://github.com/netlify/cli/pull/303)

### Commits

- update deps [`90b1fee`](https://github.com/netlify/cli/commit/90b1fee01835a0e8e8e4c656d077b05e083fd97a)
- add command index [`c9a27a5`](https://github.com/netlify/cli/commit/c9a27a54ed614c0e8c8fad9d5bc450dd95443dbc)
- clean up display [`a8f1b31`](https://github.com/netlify/cli/commit/a8f1b31052b76edb66facdb358d520b64c9ab12d)

## [v2.11.12](https://github.com/netlify/cli/compare/v2.11.11...v2.11.12) - 2019-04-22

### Merged

- Update Zip-it-and-ship-it to 0.3.1 [`#300`](https://github.com/netlify/cli/pull/300)

## [v2.11.11](https://github.com/netlify/cli/compare/v2.11.10...v2.11.11) - 2019-04-18

### Commits

- update deps [`f415fbe`](https://github.com/netlify/cli/commit/f415fbe32044894dd3e6f171bbf19647b5ee9459)

## [v2.11.10](https://github.com/netlify/cli/compare/v2.11.9...v2.11.10) - 2019-04-17

### Merged

- Update cli-utils to ^1.0.2 [`#299`](https://github.com/netlify/cli/pull/299)

### Commits

- Update shrinkwrap file [`c047a30`](https://github.com/netlify/cli/commit/c047a3092506eb7b49561302ccdb2883f346e816)
- Remove unused dependency. [`cfb3ac0`](https://github.com/netlify/cli/commit/cfb3ac004f2d1f6c959f027e200fc4b8eb9fc080)

## [v2.11.9](https://github.com/netlify/cli/compare/v2.11.8...v2.11.9) - 2019-04-16

### Merged

- Use cli-utils [`#289`](https://github.com/netlify/cli/pull/289)

### Commits

- update deps [`fbd5a22`](https://github.com/netlify/cli/commit/fbd5a22a0b815a5e5a95ad22c1b8a536b4c1f3c3)
- Try npm task provider [`ca528e3`](https://github.com/netlify/cli/commit/ca528e3121e0ef0253f6d6c60115a9cd9a16289d)
- merge [`2bf7632`](https://github.com/netlify/cli/commit/2bf7632ad131b70fc83e7d74374c1606b85759a5)

## [v2.11.8](https://github.com/netlify/cli/compare/v2.11.7...v2.11.8) - 2019-04-16

### Commits

- update netlify dev plugin [`514d759`](https://github.com/netlify/cli/commit/514d7591609fbd645c1de87f47200099e6919abe)

## [v2.11.7](https://github.com/netlify/cli/compare/v2.11.6...v2.11.7) - 2019-04-10

### Commits

- bump netlfiy dev for chalk bug [`e4c2816`](https://github.com/netlify/cli/commit/e4c281693f2839e62dee511912346510e2ab2587)

## [v2.11.6](https://github.com/netlify/cli/compare/v2.11.5...v2.11.6) - 2019-04-10

### Merged

- Repair tests [`#294`](https://github.com/netlify/cli/pull/294)

### Fixed

- Repair tests [`#293`](https://github.com/netlify/cli/issues/293)

### Commits

- bump netlify dev [`181cea1`](https://github.com/netlify/cli/commit/181cea12d3ae6c5869f994edb8324457252c162f)

## [v2.11.5](https://github.com/netlify/cli/compare/v2.11.4...v2.11.5) - 2019-04-10

### Commits

- bump netlify dev plugin again [`9f17172`](https://github.com/netlify/cli/commit/9f17172f8b8bfa0f349dd6ef2449331842cc2e16)
- add link to netlify dev [`4b560d3`](https://github.com/netlify/cli/commit/4b560d3c3a0c1a376ea1dd26d358616e6fa8e568)

## [v2.11.4](https://github.com/netlify/cli/compare/v2.11.3...v2.11.4) - 2019-04-09

### Commits

- bump netlify dev plugin again [`22c60ed`](https://github.com/netlify/cli/commit/22c60ed384344eb8d8245385a9e803b237802b92)

## [v2.11.3](https://github.com/netlify/cli/compare/v2.11.2...v2.11.3) - 2019-04-09

### Commits

- bump netlify dev plugin [`7bd2968`](https://github.com/netlify/cli/commit/7bd29681e3ed5bf88aaa900bfcedd61a44b1c052)

## [v2.11.2](https://github.com/netlify/cli/compare/v2.11.1...v2.11.2) - 2019-04-09

### Commits

- update netlify-dev-plugin version [`5e068c3`](https://github.com/netlify/cli/commit/5e068c394dfa43c642e6495f3c142993c8243981)

## [v2.11.1](https://github.com/netlify/cli/compare/v2.11.0...v2.11.1) - 2019-04-09

### Commits

- update netlify-dev-plugin version [`c9ce64e`](https://github.com/netlify/cli/commit/c9ce64eeb3124e07a6e5aae3b6b1fc32a1e18649)

## [v2.11.0](https://github.com/netlify/cli/compare/v2.11.0-beta.0...v2.11.0) - 2019-04-09

### Merged

- Update netlify toml template and bring it to manual init as well [`#287`](https://github.com/netlify/cli/pull/287)

### Commits

- upate toml template [`4c2d2d2`](https://github.com/netlify/cli/commit/4c2d2d23cb3b44c082da6a3a687e82dd22ec10ba)
- bring it to manual config as well [`177da2f`](https://github.com/netlify/cli/commit/177da2f63ce46f1ff311d287aeafaf16e89fc6a3)
- fix netlify addons:delete bug if multiple addons exist [`f423a40`](https://github.com/netlify/cli/commit/f423a40c398ab7132c805db0a1e36a6695bddc85)

## [v2.11.0-beta.0](https://github.com/netlify/cli/compare/v2.10.1...v2.11.0-beta.0) - 2019-04-08

### Commits

- Add dev plugin [`134905f`](https://github.com/netlify/cli/commit/134905f669464e7791674bca1ba3124f3c0eed72)
- Prep beta tag [`9428198`](https://github.com/netlify/cli/commit/94281989c25b489c6f5cd5d6d2be8d6401699237)

## [v2.10.1](https://github.com/netlify/cli/compare/v2.10.0...v2.10.1) - 2019-04-08

### Merged

- Fix status command to accommodate teams changes [`#288`](https://github.com/netlify/cli/pull/288)

### Commits

- Tweak site create command for new teams [`513a611`](https://github.com/netlify/cli/commit/513a611727aad0acef95c70f4847139f5fb67d98)
- Improve output [`d545b12`](https://github.com/netlify/cli/commit/d545b12059a5b0bd9dbaee8074b1bdcfa509962d)
- Fix test badge [`aecaf04`](https://github.com/netlify/cli/commit/aecaf04aad269557bff39d6c32f23d020b228ade)

## [v2.10.0](https://github.com/netlify/cli/compare/v2.10.0-beta.1...v2.10.0) - 2019-04-04

### Merged

- Remove shrink-wrap pruning during pack step [`#283`](https://github.com/netlify/cli/pull/283)

## [v2.10.0-beta.1](https://github.com/netlify/cli/compare/v2.9.1...v2.10.0-beta.1) - 2019-04-04

### Merged

- Validate site name on init command [`#264`](https://github.com/netlify/cli/pull/264)
- Update delete addon [`#265`](https://github.com/netlify/cli/pull/265)
- Removed unknown character from log msg [`#278`](https://github.com/netlify/cli/pull/278)
- add alias for addons command [`#276`](https://github.com/netlify/cli/pull/276)
- confirm before doing destructive actions [`#271`](https://github.com/netlify/cli/pull/271)

### Commits

- commit shrinkwrap and package-lock changes [`6afd3ef`](https://github.com/netlify/cli/commit/6afd3efdd93a9280deac9a78cdfc9befaa8193b3)
- Standardise capitalization of words in init command [`da29843`](https://github.com/netlify/cli/commit/da29843414794cd00cd35300b582e6f33966e3a2)
- fixtypo [`9115870`](https://github.com/netlify/cli/commit/9115870ed08df20beb78189e35a9c0b5aa03ef2a)

## [v2.9.1](https://github.com/netlify/cli/compare/v2.9.0...v2.9.1) - 2019-03-20

### Commits

- fix bug with 2.9.0 release [`5ecebd9`](https://github.com/netlify/cli/commit/5ecebd9dd5ee75d6647b04c78f6b8c2977d718a0)

## [v2.9.0](https://github.com/netlify/cli/compare/v2.8.3...v2.9.0) - 2019-03-20

### Merged

- make netlify init work with netlify.toml, see #210 #267 [`#268`](https://github.com/netlify/cli/pull/268)

### Commits

- add netlify init sugar #210 #267 [`5b5596f`](https://github.com/netlify/cli/commit/5b5596f1b542cc2cf5148710f89e31ae028f935e)
- minor tweaks [`81de3d5`](https://github.com/netlify/cli/commit/81de3d5a91529ca3195f6cf3ab06c8b2f3922855)
- change to functions as default functions folder name [`11018e6`](https://github.com/netlify/cli/commit/11018e6dd5c802683d9759c61ccc5559839fbd14)

## [v2.8.3](https://github.com/netlify/cli/compare/v2.8.2...v2.8.3) - 2019-03-05

### Merged

- Update addon validation [`#259`](https://github.com/netlify/cli/pull/259)
- Remove functions commands [`#262`](https://github.com/netlify/cli/pull/262)

### Commits

- add required field check [`4cf8742`](https://github.com/netlify/cli/commit/4cf87421b52782acefc68da8c6fc3c0a71036a0e)
- bail if required flags are not supplied [`0ba36ab`](https://github.com/netlify/cli/commit/0ba36abe991bfd6fd0d9da1091faf4c5797d48fc)
- Bail if required fields missing [`7e547e2`](https://github.com/netlify/cli/commit/7e547e260c24bd4127994d165b07b878beb5e8d9)

## [v2.8.2](https://github.com/netlify/cli/compare/v2.8.1...v2.8.2) - 2019-03-04

### Commits

- Update shrinkwrap semver [`cbc1d6e`](https://github.com/netlify/cli/commit/cbc1d6ebb60d57fe73ca06690021c4ae75130df2)

## [v2.8.1](https://github.com/netlify/cli/compare/v2.8.0...v2.8.1) - 2019-02-25

### Merged

- Update zip-it-and-ship-it to 0.2.2 [`#260`](https://github.com/netlify/cli/pull/260)
- Update azure-pipelines.yml for Azure Pipelines [`#255`](https://github.com/netlify/cli/pull/255)
- Centralize CI in Azure DevOps. [`#253`](https://github.com/netlify/cli/pull/253)

### Commits

- Update zip-it-and-ship-it [`5224702`](https://github.com/netlify/cli/commit/5224702d6d09ee760633544f29ee681e9441bba5)
- Space script. [`6cd65a5`](https://github.com/netlify/cli/commit/6cd65a55feb60a1c3cef349fc43abe2d903f5d05)
- Remove report task temporarily. [`9291c20`](https://github.com/netlify/cli/commit/9291c2075463946a9d83ef490113d8a65b2f20b0)

## [v2.8.0](https://github.com/netlify/cli/compare/v2.7.4...v2.8.0) - 2019-02-20

### Merged

- Update netlify's js-client and semver ranges [`#250`](https://github.com/netlify/cli/pull/250)
- Update addons commands [`#251`](https://github.com/netlify/cli/pull/251)

### Commits

- Update semver deps [`ce9578d`](https://github.com/netlify/cli/commit/ce9578dd8ad9881ce61779ad97b49d13ecc6db7f)
- add addon:config & update addon:create command [`8adfa6f`](https://github.com/netlify/cli/commit/8adfa6fa15191e5e40953b9a36cbfe40e7183525)
- Keep addons command hidden [`712458d`](https://github.com/netlify/cli/commit/712458d5c74d4f3812f52d290375b8c8321ba625)

## [v2.7.4](https://github.com/netlify/cli/compare/v2.7.3...v2.7.4) - 2019-02-19

### Merged

- Update netlify and other dependencies [`#247`](https://github.com/netlify/cli/pull/247)

### Commits

- Update netlify  [`ff914d5`](https://github.com/netlify/cli/commit/ff914d572aade7e1508010f6f1016b8d8a4692ff)

## [v2.7.3](https://github.com/netlify/cli/compare/v2.7.2...v2.7.3) - 2019-02-19

### Commits

- Removed unused cpx devdep [`7a12f2d`](https://github.com/netlify/cli/commit/7a12f2dcd5cd9b7c1d6cbcd79eef05a6ed99ceca)
- Fix shrinkwrap file when publishing [`0a42bed`](https://github.com/netlify/cli/commit/0a42bed2292720ad5eb3d92005d88835540379c5)

## [v2.7.2](https://github.com/netlify/cli/compare/v2.7.1...v2.7.2) - 2019-02-19

### Commits

- Only ship js files in the src folder [`c79c3fc`](https://github.com/netlify/cli/commit/c79c3fca15001601761f5bdfb083c60f355df1e4)

## [v2.7.1](https://github.com/netlify/cli/compare/v2.7.0...v2.7.1) - 2019-02-19

### Merged

- Fix octokit [`#245`](https://github.com/netlify/cli/pull/245)

### Fixed

- Update Octokit to fix authentication [`#243`](https://github.com/netlify/cli/issues/243)

### Commits

- Bump semver [`6672b52`](https://github.com/netlify/cli/commit/6672b521c68f33443746dc44f116bdcd9ed6fe74)

## [v2.7.0](https://github.com/netlify/cli/compare/v2.6.6...v2.7.0) - 2019-02-08

### Merged

- Dep chores [`#241`](https://github.com/netlify/cli/pull/241)
- Fix log PATH to be cross-platform [`#208`](https://github.com/netlify/cli/pull/208)
- Minor cleanup to addons:create [`#220`](https://github.com/netlify/cli/pull/220)
- Update js-client providing zip-n-ship capabilities [`#239`](https://github.com/netlify/cli/pull/239)
- Fix function config lookup in netlify.toml [`#240`](https://github.com/netlify/cli/pull/240)
- Restore original package-lock.json after packing [`#237`](https://github.com/netlify/cli/pull/237)

### Fixed

- Fix function config lookup in netlify.toml [`#209`](https://github.com/netlify/cli/issues/209)

### Commits

- Run `npm up` [`29f16fa`](https://github.com/netlify/cli/commit/29f16fa376a55093b09d0c14a67e6ab68a5718f7)
- Update js-client providing zip-n-ship capabilities  [`f9774a2`](https://github.com/netlify/cli/commit/f9774a29781c37d10875563c6221c2b92d2d7800)
- Update deps [`985e8da`](https://github.com/netlify/cli/commit/985e8da37e162fefabfd27ac5bf6e567ba7ea790)

## [v2.6.6](https://github.com/netlify/cli/compare/v2.6.5...v2.6.6) - 2019-01-31

### Merged

- Run prune before shrink-wrap [`#236`](https://github.com/netlify/cli/pull/236)

### Commits

- Run prune before shrink-wrap  [`761fcc5`](https://github.com/netlify/cli/commit/761fcc5660c8ac2a293afde661a129a0c8fbee84)

## [v2.6.5](https://github.com/netlify/cli/compare/v2.6.4...v2.6.5) - 2019-01-31

### Merged

- Publish with a shrink-wrap file again [`#235`](https://github.com/netlify/cli/pull/235)

### Fixed

- Publish with a shrink-wrap file again [`#234`](https://github.com/netlify/cli/issues/234)

### Commits

- Update package-lock.json [`fc58e40`](https://github.com/netlify/cli/commit/fc58e40e30e2e0fa608eedfc90d0eeaab39da7ca)

## [v2.6.4](https://github.com/netlify/cli/compare/v2.6.3...v2.6.4) - 2019-01-22

### Merged

- Even more upload fixes [`#218`](https://github.com/netlify/cli/pull/218)

### Commits

- Improve error message priting [`3b2c54a`](https://github.com/netlify/cli/commit/3b2c54ae0afb31266e150f2fa0f4a54005011a8f)
- Update lock file [`ad54af3`](https://github.com/netlify/cli/commit/ad54af32fbf869c4ec6c4536cb382ba6ffb406fa)
- Update js-client to fix upload failures [`296bc9b`](https://github.com/netlify/cli/commit/296bc9b99ab72651396f4641d83a8af47752245c)

## [v2.6.3](https://github.com/netlify/cli/compare/v2.6.2...v2.6.3) - 2019-01-19

### Merged

- Update js-client to fix rate limit handling [`#217`](https://github.com/netlify/cli/pull/217)

### Commits

- Update js-client to fix rate limit handling  [`32590eb`](https://github.com/netlify/cli/commit/32590ebf2aa9788733908afee3aefd87f21e9bb8)

## [v2.6.2](https://github.com/netlify/cli/compare/v2.6.1...v2.6.2) - 2019-01-19

### Merged

- Fix rate limiting handing [`#215`](https://github.com/netlify/cli/pull/215)

## [v2.6.1](https://github.com/netlify/cli/compare/v2.6.0...v2.6.1) - 2019-01-09

### Merged

- Remove autocomplete plugin [`#207`](https://github.com/netlify/cli/pull/207)

### Fixed

- Remove autocomplete plugin [`#204`](https://github.com/netlify/cli/issues/204)

## [v2.6.0](https://github.com/netlify/cli/compare/v2.5.1...v2.6.0) - 2018-12-17

### Merged

- Update dependencies [`#203`](https://github.com/netlify/cli/pull/203)
- Add @oclif/plugin-autocomplete plugin [`#191`](https://github.com/netlify/cli/pull/191)
- Exit with status 1 on directory errors [`#202`](https://github.com/netlify/cli/pull/202)

### Commits

- Use prepublishOnly only hook [`aff28c4`](https://github.com/netlify/cli/commit/aff28c4e2c9acd1fc3c5732bdcd961d1a2a526c1)
- Fix depcheck [`53bc97c`](https://github.com/netlify/cli/commit/53bc97cfc8ef509e0c290dfba28279e47adbb2e5)

## [v2.5.1](https://github.com/netlify/cli/compare/v2.5.0...v2.5.1) - 2018-12-13

### Merged

- fix(auth): due to api change in @octokit/rest [`#200`](https://github.com/netlify/cli/pull/200)

### Fixed

- fix(auth): due to api change in @octokit/rest [`#199`](https://github.com/netlify/cli/issues/199)

## [v2.5.0](https://github.com/netlify/cli/compare/v2.4.0...v2.5.0) - 2018-12-05

### Merged

- Add addons:show command [`#190`](https://github.com/netlify/cli/pull/190)
- Add simple JSON parsing to parse raw for addons commands [`#189`](https://github.com/netlify/cli/pull/189)
- Output and feedback enhancements [`#169`](https://github.com/netlify/cli/pull/169)
- Improve init flow in various manual depoy states [`#186`](https://github.com/netlify/cli/pull/186)
- Allow CI setup without a local clone from sites:create command [`#178`](https://github.com/netlify/cli/pull/178)
- Update check improvements [`#188`](https://github.com/netlify/cli/pull/188)

### Commits

- Allow CI setup without a local site [`a01455f`](https://github.com/netlify/cli/commit/a01455f1c904bfa48ab1498f6b04fcd5000bb627)
- style(addons): use oclif builtin log() [`035a93c`](https://github.com/netlify/cli/commit/035a93c6ffcc32babad809cd0ec96bbece49d019)
- A few init improvements [`fdf0723`](https://github.com/netlify/cli/commit/fdf072343f9cb9dd3b6b3b28d99c6bc158897545)

## [v2.4.0](https://github.com/netlify/cli/compare/v2.2.3...v2.4.0) - 2018-12-04

### Merged

- Add a plugin system [`#132`](https://github.com/netlify/cli/pull/132)
- Add oclif help and plugins plugin. [`#187`](https://github.com/netlify/cli/pull/187)
- Fix renamed GitHub method [`#185`](https://github.com/netlify/cli/pull/185)
- Chore: Updates [`#184`](https://github.com/netlify/cli/pull/184)
- Use a package-lock file instead of shrink-wrap strategy [`#183`](https://github.com/netlify/cli/pull/183)

### Fixed

- Remove color highlights from description and help text [`#137`](https://github.com/netlify/cli/issues/137)

### Commits

- Update Ava [`bef0e76`](https://github.com/netlify/cli/commit/bef0e760d6b1b839ee47e617911449f144e3489f)
- Automate release process [`3949872`](https://github.com/netlify/cli/commit/39498728c9ad2e4aef02e0e34e7a1a350082fea9)
- Update octokit to 16.1.0 [`2e88945`](https://github.com/netlify/cli/commit/2e88945817838cd628ec270d92bddfe5ebbb2803)

## [v2.2.3](https://github.com/netlify/cli/compare/v2.2.2...v2.2.3) - 2018-11-26

### Commits

- Fix missing dependencies  [`4dd06ad`](https://github.com/netlify/cli/commit/4dd06ad5bf53d62355e2f126bcc641786dba4139)

## [v2.2.2](https://github.com/netlify/cli/compare/v2.2.1...v2.2.2) - 2018-11-26

### Commits

- Bump dependencies [`fc2305e`](https://github.com/netlify/cli/commit/fc2305eebe723ab1264dc9ae25146e308156492a)

## [v2.2.1](https://github.com/netlify/cli/compare/v2.2.0...v2.2.1) - 2018-11-06

### Merged

- Update Netlify API client to 2.2.1 [`#176`](https://github.com/netlify/cli/pull/176)

## [v2.2.0](https://github.com/netlify/cli/compare/v2.1.3...v2.2.0) - 2018-11-02

### Merged

- Allow users to set the login url in the auth flow [`#172`](https://github.com/netlify/cli/pull/172)
- Remove package-lock from site [`#173`](https://github.com/netlify/cli/pull/173)
- Update CLI prompts for more consistent style [`#171`](https://github.com/netlify/cli/pull/171)

### Commits

- Document NETLIFY_WEB_UI [`26d5196`](https://github.com/netlify/cli/commit/26d5196afa5bda9b178abdacc0135506be278173)

## [v2.1.3](https://github.com/netlify/cli/compare/v2.1.2...v2.1.3) - 2018-10-29

### Merged

- Update ESLint plugin [`#168`](https://github.com/netlify/cli/pull/168)
- Handle GitHub error better when user lacks perms [`#167`](https://github.com/netlify/cli/pull/167)
- Fix missing site_id error [`#165`](https://github.com/netlify/cli/pull/165)
- Fix typos [`#160`](https://github.com/netlify/cli/pull/160)

### Fixed

- Handle GitHub error better when user lacks perms [`#151`](https://github.com/netlify/cli/issues/151)

### Commits

- fix(deploy): missing siteId error [`1bd224a`](https://github.com/netlify/cli/commit/1bd224a2f847f7451725864db39953cce0fb5a2e)

## [v2.1.2](https://github.com/netlify/cli/compare/v2.1.1...v2.1.2) - 2018-10-18

### Merged

- Fix config path [`#159`](https://github.com/netlify/cli/pull/159)
- fix minor typo [`#152`](https://github.com/netlify/cli/pull/152)

### Fixed

- fix https://github.com/netlify/cli/issues/156 [`#156`](https://github.com/netlify/cli/issues/156)

### Commits

- add configPath back to site [`7e9e5a9`](https://github.com/netlify/cli/commit/7e9e5a9b6f5d561779caee9d96ea948ffd45aada)
- fix deploy config lookup [`002fd07`](https://github.com/netlify/cli/commit/002fd07ea6ca35f97c723f2f9b4916dcb8fe7442)
- Fix link [`57b553f`](https://github.com/netlify/cli/commit/57b553f5ff0871ba8f80b6ced8c3084c16a37244)

## [v2.1.1](https://github.com/netlify/cli/compare/v2.1.0...v2.1.1) - 2018-10-15

### Merged

- Handle type error in project-root algorithm [`#148`](https://github.com/netlify/cli/pull/148)

### Fixed

- Handle type error in project-root algorithm [`#145`](https://github.com/netlify/cli/issues/145)

### Commits

- Update eslint-plugin-prettier [`396e11b`](https://github.com/netlify/cli/commit/396e11ba9126295ac1e2593199fd65091d1fbc46)

## [v2.1.0](https://github.com/netlify/cli/compare/v2.1.0-beta.2...v2.1.0) - 2018-10-15

### Merged

- Add flags and ENV var support to deploy and fix bugs [`#147`](https://github.com/netlify/cli/pull/147)

## [v2.1.0-beta.2](https://github.com/netlify/cli/compare/v2.1.0-beta.1...v2.1.0-beta.2) - 2018-10-15

### Commits

- Site info lookup bug [`dab85dd`](https://github.com/netlify/cli/commit/dab85dd3b022c73b6b66b0f8acae9d9398ad01e5)

## [v2.1.0-beta.1](https://github.com/netlify/cli/compare/v2.0.0...v2.1.0-beta.1) - 2018-10-12

### Merged

- Update netlify.toml [`#143`](https://github.com/netlify/cli/pull/143)

### Commits

- Add flags and ENV var support to deploy [`474d843`](https://github.com/netlify/cli/commit/474d843b8343dae2111f66ab3b8544f7c35785a2)
- remove old siteConfig getter [`66241e0`](https://github.com/netlify/cli/commit/66241e0145542e55f4501fb2510bc458fd5273f0)
- Improve login flow [`3f2ef54`](https://github.com/netlify/cli/commit/3f2ef543aa60bb632e432b42f38abe9668f4335e)

## [v2.0.0](https://github.com/netlify/cli/compare/v2.0.0-beta.10...v2.0.0) - 2018-10-09

### Merged

- Simplify command reference site [`#140`](https://github.com/netlify/cli/pull/140)
- Hide logout command [`#141`](https://github.com/netlify/cli/pull/141)

### Commits

- Add install and docs sections to README [`3d2aefc`](https://github.com/netlify/cli/commit/3d2aefcc1880270965eeac55fe5df7126865fa8b)
- Note the name of the command in README [`3dade93`](https://github.com/netlify/cli/commit/3dade9388f2ee8f1b9529508aee8335e839d55af)
- Remove logout cmd from list [`41557f5`](https://github.com/netlify/cli/commit/41557f5e42b72ca5b7a82ef564b91283f2b91820)

## [v2.0.0-beta.10](https://github.com/netlify/cli/compare/v2.0.0-beta.9...v2.0.0-beta.10) - 2018-10-08

## [v2.0.0-beta.9](https://github.com/netlify/cli/compare/v2.0.0-beta.8...v2.0.0-beta.9) - 2018-10-08

### Commits

- Use dirname, not base name  [`73b594c`](https://github.com/netlify/cli/commit/73b594c1bb8dc024ecca8d1a1c9a42ab0b953317)

## [v2.0.0-beta.8](https://github.com/netlify/cli/compare/v2.0.0-beta.7...v2.0.0-beta.8) - 2018-10-08

### Merged

- Doc strings tweaks [`#138`](https://github.com/netlify/cli/pull/138)
- Implement improved project resolution algorithm [`#139`](https://github.com/netlify/cli/pull/139)
- Copy [`#136`](https://github.com/netlify/cli/pull/136)
- Some docs tweaks [`#135`](https://github.com/netlify/cli/pull/135)
- Doc string site build updates [`#133`](https://github.com/netlify/cli/pull/133)
- Update deploy.md [`#131`](https://github.com/netlify/cli/pull/131)
- Moving the usage docs to the docs website and other docs improvements [`#126`](https://github.com/netlify/cli/pull/126)
- Update js-client [`#125`](https://github.com/netlify/cli/pull/125)

### Commits

- Fix docs build [`02ebb80`](https://github.com/netlify/cli/commit/02ebb80f15adb7af645532cd3cf0ed35b2726ff3)
- Moving the usage docs to the docs website [`85f483a`](https://github.com/netlify/cli/commit/85f483ac8d73e5b565e66d4c6e4d8fb037fbe38e)
- Fix child command descriptions [`cc7d44c`](https://github.com/netlify/cli/commit/cc7d44cac475da7043056c8309ef5d827ea41d64)

## [v2.0.0-beta.7](https://github.com/netlify/cli/compare/v2.0.0-beta.6...v2.0.0-beta.7) - 2018-09-24

### Merged

- Update to netlify@2.0.1-beta.8 [`#124`](https://github.com/netlify/cli/pull/124)

## [v2.0.0-beta.6](https://github.com/netlify/cli/compare/v2.0.0-beta.5...v2.0.0-beta.6) - 2018-09-20

### Merged

- Improve init flow on deploy command [`#122`](https://github.com/netlify/cli/pull/122)
- Bug fixes on sites:create [`#121`](https://github.com/netlify/cli/pull/121)

## [v2.0.0-beta.5](https://github.com/netlify/cli/compare/v2.0.0-beta.4...v2.0.0-beta.5) - 2018-09-17

### Commits

- Improved error handling around deploys [`2bee51b`](https://github.com/netlify/cli/commit/2bee51b46c2aacd7ad4ec522e67ba2e85350e199)

## [v2.0.0-beta.4](https://github.com/netlify/cli/compare/v2.0.0-beta.3...v2.0.0-beta.4) - 2018-09-17

### Merged

- Add the ability to add deploy messages [`#113`](https://github.com/netlify/cli/pull/113)
- Improve deploy logging [`#112`](https://github.com/netlify/cli/pull/112)
- Use netlify/js-client [`#109`](https://github.com/netlify/cli/pull/109)
- Make form attribute [`#110`](https://github.com/netlify/cli/pull/110)
- Update site [`#108`](https://github.com/netlify/cli/pull/108)

### Commits

- Use js-client module [`cc2ac49`](https://github.com/netlify/cli/commit/cc2ac494e786646884d1eb44dfda23d74585a169)
- Add request form to register addons [`37acb60`](https://github.com/netlify/cli/commit/37acb60c6ff653b299ac9b921879bf581effe398)
- A few more api swap fixes [`b0eb925`](https://github.com/netlify/cli/commit/b0eb9252880988f84da039d6a47c4356674ce543)

## [v2.0.0-beta.3](https://github.com/netlify/cli/compare/v2.0.0-beta.2...v2.0.0-beta.3) - 2018-09-10

### Merged

- Don’t throw on state lookup in a missing folder [`#107`](https://github.com/netlify/cli/pull/107)
- update @next tags [`#102`](https://github.com/netlify/cli/pull/102)

### Fixed

- Don’t throw on state lookup in a missing folder [`#106`](https://github.com/netlify/cli/issues/106)

### Commits

- update tags [`e74d6f1`](https://github.com/netlify/cli/commit/e74d6f10471a317cf69cc682f276ee406d44c832)
- fix "Finisihed" typo [`2770135`](https://github.com/netlify/cli/commit/2770135b13bd80b288850d452886ca5a9b46c358)

## [v2.0.0-beta.2](https://github.com/netlify/cli/compare/v2.0.0-beta.1...v2.0.0-beta.2) - 2018-09-09

## [v2.0.0-beta.1](https://github.com/netlify/cli/compare/v2.0.0-alpha.7...v2.0.0-beta.1) - 2018-09-09

### Merged

- updates beta release [`#101`](https://github.com/netlify/cli/pull/101)
- install base modules [`#100`](https://github.com/netlify/cli/pull/100)
- [WIP] Add use case instructions to docs [`#97`](https://github.com/netlify/cli/pull/97)

### Commits

- Add context docs to readme [`3a4906b`](https://github.com/netlify/cli/commit/3a4906b541add62d003c58b896ff92502c900046)
- update no-repo flow [`9d20d77`](https://github.com/netlify/cli/commit/9d20d77327279fce40271b8e7de21156d2fd96a5)
- update reamde [`6f47a88`](https://github.com/netlify/cli/commit/6f47a8802a76a8fe5649e5ccdb58b63e77b80e31)

## [v2.0.0-alpha.7](https://github.com/netlify/cli/compare/v2.0.0-alpha.6...v2.0.0-alpha.7) - 2018-09-07

### Merged

- update token refs [`#99`](https://github.com/netlify/cli/pull/99)
- Update global config [`#96`](https://github.com/netlify/cli/pull/96)
- update main readme [`#95`](https://github.com/netlify/cli/pull/95)
- Update docs [`#94`](https://github.com/netlify/cli/pull/94)
- Automatically use git remote URL to `netlify link` sites [`#92`](https://github.com/netlify/cli/pull/92)
- improve header output [`#93`](https://github.com/netlify/cli/pull/93)
- Update docs site [`#91`](https://github.com/netlify/cli/pull/91)
- Use an alternate open browser lib [`#89`](https://github.com/netlify/cli/pull/89)
- Improve watch copy [`#88`](https://github.com/netlify/cli/pull/88)
- Add draft deploys [`#87`](https://github.com/netlify/cli/pull/87)

### Fixed

- Improve watch copy [`#82`](https://github.com/netlify/cli/issues/82)

### Commits

- move site to site folder [`57b474f`](https://github.com/netlify/cli/commit/57b474f124e52b6e3910011188793b0d8577245e)
- move UI to site [`18487af`](https://github.com/netlify/cli/commit/18487affc9a6ae5a6840e47fa899ebd448d14a91)
- extract and share link prompt [`d07c14c`](https://github.com/netlify/cli/commit/d07c14c03c5dcc6e122d058e11c8c6a3d2f4f21f)

## [v2.0.0-alpha.6](https://github.com/netlify/cli/compare/v2.0.0-alpha.5...v2.0.0-alpha.6) - 2018-08-30

### Merged

- Deploy feedback [`#86`](https://github.com/netlify/cli/pull/86)
- Incorporate some flag design to the deploy command [`#85`](https://github.com/netlify/cli/pull/85)
- Set up our new client id [`#71`](https://github.com/netlify/cli/pull/71)
- Fix Copy [`#64`](https://github.com/netlify/cli/pull/64)
- Create Github deploy notifications on init [`#63`](https://github.com/netlify/cli/pull/63)

### Fixed

- Fix Copy [`#56`](https://github.com/netlify/cli/issues/56)

### Commits

- First pass at deploy progress [`337a0e9`](https://github.com/netlify/cli/commit/337a0e92439e628c3c01e77972ce8052923e3f8f)
- Hooks work [`e41bcc7`](https://github.com/netlify/cli/commit/e41bcc76e6e5ca73a8818a7b0bbccd0c6c03532a)
- Use a random spinner [`9301246`](https://github.com/netlify/cli/commit/93012462e5a0748c09ad580d1b60fc4f57853a20)

## [v2.0.0-alpha.5](https://github.com/netlify/cli/compare/v2.0.0-alpha.4...v2.0.0-alpha.5) - 2018-08-28

### Merged

- Upload netlify TOML when deploying [`#61`](https://github.com/netlify/cli/pull/61)
- Add update notifier [`#60`](https://github.com/netlify/cli/pull/60)
- Fix badge links [`#59`](https://github.com/netlify/cli/pull/59)
- 2.0.0 Release [`#51`](https://github.com/netlify/cli/pull/51)
- Fix lint [`#50`](https://github.com/netlify/cli/pull/50)
- [WIP] Update docs [`#99`](https://github.com/netlify/cli/pull/99)
- Use netlify.toml info when linking [`#98`](https://github.com/netlify/cli/pull/98)
- Watch on init, and remove from sites commands [`#97`](https://github.com/netlify/cli/pull/97)
- Improve file filtering [`#95`](https://github.com/netlify/cli/pull/95)
- Remove unneeded quotes on link [`#94`](https://github.com/netlify/cli/pull/94)
- Document base class and reorganize [`#92`](https://github.com/netlify/cli/pull/92)
- Readme tweaks [`#91`](https://github.com/netlify/cli/pull/91)
- s/http/https [`#90`](https://github.com/netlify/cli/pull/90)
- Fix readme name hack [`#89`](https://github.com/netlify/cli/pull/89)
- Appveyor [`#49`](https://github.com/netlify/cli/pull/49)

### Fixed

- Use netlify.toml info when linking [`#74`](https://github.com/netlify/cli/issues/74)
- Watch on init, and remove from sites commands [`#79`](https://github.com/netlify/cli/issues/79)

### Commits

- update docs [`821c9ba`](https://github.com/netlify/cli/commit/821c9bace31a7738b40976afdce89201712f8829)
- add site [`947767c`](https://github.com/netlify/cli/commit/947767cd16e186fccdd9a362dc28a8d1250194f4)
- add doc gen script (will move elsewhere) [`2028b53`](https://github.com/netlify/cli/commit/2028b53d4e5bedc09c2471959de2f0c6e503a1f2)

## [v2.0.0-alpha.4](https://github.com/netlify/cli/compare/v2.0.0-alpha.3...v2.0.0-alpha.4) - 2018-08-22

## [v2.0.0-alpha.3](https://github.com/netlify/cli/compare/v2.0.0-alpha.2...v2.0.0-alpha.3) - 2018-08-22

### Merged

- Fix function deploys [`#48`](https://github.com/netlify/cli/pull/48)
- Init GitHub [`#87`](https://github.com/netlify/cli/pull/87)
- Add Init function [`#47`](https://github.com/netlify/cli/pull/47)
- [WIP] Add `addons` commands [`#85`](https://github.com/netlify/cli/pull/85)
- Initial sites:create command [`#72`](https://github.com/netlify/cli/pull/72)

### Commits

- GitHub init work [`80c2f0a`](https://github.com/netlify/cli/commit/80c2f0af0b03d13f3587dd9602e36eedb5182977)
- add addon commands [`73b2d96`](https://github.com/netlify/cli/commit/73b2d96daa7f7ed9154a24fa116fbdac40246113)
- Checking in progress [`ce88ad6`](https://github.com/netlify/cli/commit/ce88ad6ff7f6dfbed6cdeb87f25491b2ad7581b2)

## [v2.0.0-alpha.2](https://github.com/netlify/cli/compare/v2.0.0-alpha.1...v2.0.0-alpha.2) - 2018-08-16

### Commits

- Fix prod dependencies [`6a462dc`](https://github.com/netlify/cli/commit/6a462dced612e274629483123a1ab1e604190ad3)

## [v2.0.0-alpha.1](https://github.com/netlify/cli/compare/v1.2.3...v2.0.0-alpha.1) - 2018-08-16

### Merged

- update open cmd [`#81`](https://github.com/netlify/cli/pull/81)
- Fix function uploads [`#70`](https://github.com/netlify/cli/pull/70)
- Update status command [`#69`](https://github.com/netlify/cli/pull/69)
- Remove help plugin [`#68`](https://github.com/netlify/cli/pull/68)
- Function deploys [`#62`](https://github.com/netlify/cli/pull/62)
- Add unlink command [`#67`](https://github.com/netlify/cli/pull/67)
- Fix api calls [`#65`](https://github.com/netlify/cli/pull/65)
- Add inquirer prompts [`#45`](https://github.com/netlify/cli/pull/45)
- Swap deps [`#46`](https://github.com/netlify/cli/pull/46)
- Use open-api spec directly [`#44`](https://github.com/netlify/cli/pull/44)
- Deploy Command [`#37`](https://github.com/netlify/cli/pull/37)
- Add status command [`#38`](https://github.com/netlify/cli/pull/38)
- Add whoami command [`#36`](https://github.com/netlify/cli/pull/36)
- Init again [`#31`](https://github.com/netlify/cli/pull/31)
- Site config [`#27`](https://github.com/netlify/cli/pull/27)
- Deploy command [`#26`](https://github.com/netlify/cli/pull/26)
- Fix a bunch of babel and Ava issues [`#25`](https://github.com/netlify/cli/pull/25)
- Add ava test harness [`#23`](https://github.com/netlify/cli/pull/23)
- Use new auth hook [`#22`](https://github.com/netlify/cli/pull/22)
- Only store the auth token [`#21`](https://github.com/netlify/cli/pull/21)
- Add a babel build step [`#19`](https://github.com/netlify/cli/pull/19)
- Env override [`#18`](https://github.com/netlify/cli/pull/18)
- Add login hook [`#16`](https://github.com/netlify/cli/pull/16)
- Promisify api client [`#15`](https://github.com/netlify/cli/pull/15)
- Add login [`#7`](https://github.com/netlify/cli/pull/7)
- Scaffold cmds [`#6`](https://github.com/netlify/cli/pull/6)
- Add prettierrc file [`#5`](https://github.com/netlify/cli/pull/5)
- remove java codegen deps [`#4`](https://github.com/netlify/cli/pull/4)
- Use openapi client module [`#2`](https://github.com/netlify/cli/pull/2)

### Commits

- init commit [`041da26`](https://github.com/netlify/cli/commit/041da26dd050b4f51809040ba8cc99e61ba20d10)
- Reset Repo [`b62819b`](https://github.com/netlify/cli/commit/b62819bc9e1c05c01ea8c284ce6e1c2586226aea)
- Remove yarn lock file [`26c095e`](https://github.com/netlify/cli/commit/26c095e761fbcc4dd0b5f3a669ff9dc3b19f8e31)

## v1.2.3 - 2018-07-10

### Merged

- Fix authentication prompt typo [`#41`](https://github.com/netlify/cli/pull/41)
- deprecatin' [`#38`](https://github.com/netlify/cli/pull/38)
- Add missing project management files. [`#22`](https://github.com/netlify/cli/pull/22)
- Add "env" command [`#18`](https://github.com/netlify/cli/pull/18)
- Permalink is displayed after deployment (along with the alias URL). [`#5`](https://github.com/netlify/cli/pull/5)

### Fixed

- Fixes #3 - Content-Length was not always correct in post requests [`#3`](https://github.com/netlify/cli/issues/3)

### Commits

- Remove troublesome lock files [`2a43998`](https://github.com/netlify/cli/commit/2a43998fa616b973779a7a2e3f1534eef73c09e4)
- Fix dependencies with shrinkwrap and yarn.lock [`f4f5dc3`](https://github.com/netlify/cli/commit/f4f5dc3de1fa1f33508e4c667dca3d1a7aea7b34)
- User inquirer instead of prompt [`9c57d24`](https://github.com/netlify/cli/commit/9c57d240435d5e7b47722b8f8087134ea8f603fa)
